﻿init:
    $ mods["abcb__5days"] = u"Пять дней старого сценариста"
    $ mod_tags["abcb__5days"] = ["gameplay:vn","length:days","protagonist:male","character:Семён","character:Алиса","character:Славя","character:Женя","character:Шурик","character:Электроник","character:Ольга Дмитриевна","character:Виола","character:Лена","character:Юля","character:Ульяна","special:TODO"]

label abcb__5days:
    $ reload_names()
    $ set_mode_adv()
    $ reload_names()
    $ backdrop = "prologue"
    $ new_chapter(-1, u"Пролог")
    $ prolog_time()

    $ volume(0.4,'music')
    play music music_list["drown"] fadein 3

    scene anim prolog_1 with fade
    window show
    "Я помню каждое своё пробуждение."
    window hide

    scene anim prolog_2 with dissolve
    window show
    "Помню так отчётливо, как если бы оно было вырезано у меня в зрачках или на обратной стороне век."
    window hide

    scene anim prolog_3 with fade
    window show
    "Даже сейчас, не открывая глаз, я вижу всё тот же нависающий надо мной потолок, который не стал за ночь ни выше, ни ниже."
    "Не стал другим."
    "И который, конечно же, никуда не исчез."
    window hide

    scene anim prolog_4 with dissolve
    window show
    "Я помню каждое своё пробуждение — просто потому, что каждый день всю мою жизнь начинался одинаково."
    "Радость сна уходила, оставляя меня наедине с реальностью, и открытые глаза не делали эту жизнь понятнее."
    window hide

    scene anim prolog_5 with dissolve
    window show
    "Все куда-то уходили. {w=.2}Всегда."
    "А я оставался. {w=.2}Всегда."
    window hide

    scene anim prologue_keyboard_1 with dissolve
    window show
    "Оставался в пустой квартире, занимался и даже не запоминал чем."
    "Потому что сами дни не отличались друг от друга."
    window hide

    scene anim prologue_keyboard_4 with dissolve2
    window show
#    "Так же, как и одинаковое утро, они были лишь квинтэссенцией дня."
    "В конце концов они все слились воедино."
    "Я уже не мог сказать, что было в прошлый четверг, а что — два года назад."
    "Я словно попал в безвременье, где ничто не имело значения."
    window hide

    scene anim prologue_keyboard_monitor_1 with dissolve
    window show
    "Дни текли, и не было ничего, что придавало бы этому течению смысл."
    "Раньше, когда я ещё учился, у меня хотя бы были обязанности."
    window hide

    scene anim prologue_keyboard_monitor_4 with dissolve2
    window show
    "Ходить на учёбу, слушать и запоминать сухие лекции, сдавать экзамены."
    window hide

    scene anim prolog_10 with fade
    window show
    "Но теперь нет и их."
    "Я бросил университет на первом же курсе."
    window hide

    scene anim prolog_11 with dissolve
    window show
    "Почему? {w=.2}Не знаю."
    "Наверное, я просто не выдержал того, что люди вокруг меня неслись в круговороте жизни, а я…"
    "Я оставался прежним. Я никак не мог измениться."
    window hide

    scene anim prologue_monitor_1 with dissolve
    window show
    "Учёба ушла в небытие."
    "Когда это произошло? Несколько лет назад? Это уже не имело значения."
    "Теперь я почти постоянно находился дома."
    window hide

    scene anim prologue_monitor_4 with dissolve2
    window show
    "Какие-то редкие попытки работать давали возможность существовать, но не более."
    "Мать изредка звонила мне, пытаясь ободрить, но…"
    "В конце концов любая работа надоедала, и я вновь оставался в пустой квартире."
    "Оставался один. {w=.2}Всегда."
    window hide

    scene anim prolog_14 with dissolve
    window show
    "Пожалуй, единственным, что ещё окрашивало мою жизнь в какие-то полутона, были прогулки."
    "Я мог выходить только по вечерам."
    "Потому что днём потоки людей ещё тягуче струились по улицам."
    "Они сталкивались, извиняясь или рыча вслед."
    window hide

    scene anim prolog_15 with dissolve
    window show
    "Извивались, чтобы обойти другой поток, и неслись дальше."
    "Вынести этого я уже не мог."
    "И только вечер успокаивал меня."
    "Люди расходились по домам, а я, словно в сумасшедшем желании отличиться от них, наоборот, выходил."
    "И вчерашний вечер не был исключением…"
    window hide
    stop music fadeout 2

    play ambience ambience_cold_wind_loop fadein 3
    play sound sfx_intro_bus_stop_steps

    scene anim intro_1 with fade
    $ renpy.pause (3)
    scene anim intro_2 with fade
    $ renpy.pause(3)
    scene anim intro_3 with fade
    $ renpy.pause(3)
    scene anim intro_4 with fade
    $ renpy.pause(3)
    scene anim intro_5 with fade
    $ renpy.pause(3)
    scene anim intro_6 with fade
    $ renpy.pause (2.5)
    stop sound fadeout 0.5
    $ renpy.pause (0.5)

    play sound sfx_intro_bus_stop_sigh

    scene anim intro_7 with fade
    $ renpy.pause(3)
    scene anim intro_8 with fade
    $ renpy.pause(2.5)
    stop sound fadeout 0.5
    $ renpy.pause (0.5)

    play sound sfx_intro_bus_engine_start
    play sound_loop sfx_intro_bus_engine_loop fadein 3

    scene anim intro_9 with fade2
    $ renpy.pause(2.5)
    stop sound fadeout 0.5
    $ renpy.pause (0.5)

    play sound sfx_intro_bus_door_open

    scene anim intro_10 with fade
    $ renpy.pause(2)
    scene anim intro_11 with fade
    $ renpy.pause(2)
    scene anim intro_12 with dissolve
    stop sound_loop fadeout 4
    $ renpy.pause(2)
    stop ambience fadeout 2
    scene anim intro_13 with fade
    $ renpy.pause(2.5)
    stop sound fadeout 0.5
    $ renpy.pause(0.5)

    play sound sfx_intro_bus_transition
    scene anim intro_14 with dissolve
    $ renpy.pause(2)
    scene anim intro_15 with dissolve
    $ renpy.pause(1)
    scene anim intro_16 with dissolve
    $ renpy.pause(1)

    scene black with fade
    stop sound fadeout 2
    stop music fadeout 2
    $ renpy.pause(2)
    $ volume(1.0, "music")
    jump abcb_day_1_start