﻿init:
    $ style.abcb_days = Style(style.default)
    $ style.abcb_days.color = "#a22c0b"
    $ style.abcb_days.italic = False
    $ style.abcb_days.bold = False
    $ style.abcb_days.size = 64
    $ style.abcb_days.text_align = 0.5

    $ style.abcb_chapters = Style(style.default)
    $ style.abcb_chapters.color = "#f1a644"
    $ style.abcb_chapters.italic = False
    $ style.abcb_chapters.bold = False
    $ style.abcb_chapters.size = 48
    $ style.abcb_chapters.text_align = 0.5

init python:
    def abcb_chapter(day_number, chapter_name):
        global save_name
        renpy.block_rollback()
        renpy.scene()
        renpy.show('bg ext_stand_2')
        renpy.transition(dissolve)

        dn = (u"День %d") % (day_number)
        save_name = ((dn) + (u" - ")) + (chapter_name)

        renpy.show('day_num', what=Text(dn, style=style.abcb_days,xcenter=0.5215,ycenter=0.35))
        renpy.show('day_text', what=Text(chapter_name, style=style.abcb_chapters,xcenter=0.5215,ycenter=0.45))

        renpy.pause(3)
        renpy.scene()
        renpy.show('bg black')
        renpy.transition(dissolve)
        set_mode_adv()

    if persistent.AbcbCardsDemo == None:
        persistent.AbcbCardsDemo = False

    if persistent.AbcbCardsFail == None:
        persistent.AbcbCardsFail = False

    if persistent.AbcbCardsWon1 == None:
        persistent.AbcbCardsWon1 = False

    if persistent.AbcbCardsWon2 == None:
        persistent.AbcbCardsWon2 = False

    if persistent.AbcbCardsWon3 == None:
        persistent.AbcbCardsWon3 = False