﻿# День 4.
# День … .
# Примечание: "рыбный" день, прописаны только утренние события
init:
    $ abcb_day_4_necessary_done = 0

#Утро
label abcb_day_4_start:
    $ abcb_chapter(4, u"Утро")
    $ prolog_time()
    $ persistent.sprite_time = "day"

    play music music_list["drown"] fadein 2
    play ambience ambience_catacombs_stones fadein 2
    scene bg black
    show prologue_dream
    window show
    "Темно."
    "Я попытался открыть глаза, но ничего не вышло."
    "Возможно, глаза уже открыты?"
    "Где… я?"
    window hide

    scene bg int_catacombs_entrance_red
    show prologue_dream
    with fade2
    window show
    "Как будто зажигаются лампочки."
    "Точно! Это свет ламп аварийного освещения."
    "Наконец возле моего правого плеча загорелась ещё одна, и я смог разглядеть…"
    "Коридор."
    "Я был в каком-то странном месте."
    "Толстые стены, опутанные сетью трубопроводов."
    window hide

    scene bg int_catacombs_door
    show prologue_dream
    with dissolve2
    window show
    "В конце — массивная дверь. Даже не дверь, а задраенный люк."
    "Как на подводной лодке."
    "Я никогда не был здесь раньше, но…"
    "Каким-то образом я знал это место."
    "Я взглянул на потолок. {w=.4}Всё те же переплетения труб и никакого намёка на солнечный свет."
    "Я под землёй. Почему-то я был уверен в этом."
    "И ещё я знал, что пришёл в этот подвал… нет, в этот бункер, за чем-то очень важным для меня."
    "И это «что-то»… {w=.3}Я пытался вспомнить, что именно, и не мог. Но…"
    "Всё это было сейчас совершенно неважно. Потому что оно находилось прямо передо мной."
    "За этой закрытой дверью."
    "И нужно было только пройти пять метров, разделяющие нас, и открыть её…"
    window hide

    scene bg int_catacombs_door:
        zoom 1.0 xalign 0.5 yalign 0.5
        ease 2.0 zoom 1.2 xcenter 0.5 ycenter 0.5
    show prologue_dream
    window show
    "Я сделал шаг и… {w=.3}Это было невыносимо трудно. Ноги отказывались подчиняться."
    "Всё тело словно налили свинцом."
    "Но страшнее всего был голос."
    "Тихий, еле слышимый голос вдруг раздался по коридору."
    voice "Даже не думай…"
    "Его эхо отталкивалось от стен, всё усиливаясь."
    "Он исходил, казалось, отовсюду сразу."
    window hide

    scene bg int_catacombs_door:
        zoom 1.2 xcenter 0.5 ycenter 0.5
        ease 2.0 zoom 1.4 xcenter 0.5 ycenter 0.5
    show prologue_dream
    window show
    "С трудом я сделал ещё шаг."
    "Я знал, что мне не дадут так просто добраться до этой двери!"
    "Что будут мешать, пытаться запутать, обмануть…"
    "Но у них ничего не выйдет!"
    "Сейчас нужно было только идти вперёд."
    window hide

    scene bg int_catacombs_door:
        zoom 1.4 xcenter 0.5 ycenter 0.5
        ease 2.0 zoom 1.6 xcenter 0.5 ycenter 0.5
    show prologue_dream
    window show
    "Ещё шаг."
    "Чтобы подбодрить себя, я закричал:"
    me "Я смогу! Я доберусь!"
    "И не услышал собственного голоса…"
    "Я поднял ногу, чтобы сделать предпоследний шаг. До дверей оставалось совсем немного!"
    "Но чьи-то грубые руки схватили меня за плечи и сжали."
    "Тот же голос, что раздавался раньше, произнёс уже испуганно:"
    voice "Семён! Семён!"
    "Он звал по имени и…"
    voice "Это же я! Семён!"
    "Нет! Только не слушать! Они будут пытаться обмануть!"
    "Нужно идти!"
    "Отбиваясь от невидимых рук, я сделал ещё шаг. Последний!"
    "Внезапно руки, сдерживающие меня, исчезли. Голос тоже пропал."
    "Дверь была прямо передо мной! Осталось только открыть её и…"
    window hide
    stop ambience fadeout 1
    stop music fadeout 1

    scene bg int_house_of_mt_day with flash
    $ day_time ()
    play sound_loop sfx_water_sink_stream fadein 1
    play ambience ambience_int_cabin_day fadein 1
    show mt_demo angry pioneer with dissolve
    window show
    "Я лежал в мокрой кровати, под сбившимся одеялом, а надо мной стояла Ольга Дмитриевна."
    "Она что-то говорила мне. Вот только я не слышал."
    "И ещё в руках у неё был пустой графин… {w=.3}в котором ещё вчера была вода."
    stop sound_loop fadeout 1
    play music music_list["sweet_darkness"] fadein 2
    "Словно издалека, до меня стали долетать звуки."
    mt "Ты меня слышишь, Семён?"
    "Я кивнул."
    mt "Вчера проспал, сегодня проспал."
    "Я скосил глаза на столик."
    "10:34"
    "Сегодня я проснулся даже раньше обычного…"
    mt "А теперь ещё и вожатую ударил!"
    "Она показала на свою руку, где был розовый след."
    "Я попытался собраться с мыслями."
    "Почему-то даже сейчас, несмотря на то, что всё оказалось лишь сном, мне было грустно."
    "И вовсе не потому, что я ударил вожатую."
    "Мне не удалось добраться до двери! {w=.4}А она казалась такой реальной!"
    mt "Что скажешь в своё оправдание?"
    "Я только пожал плечами."
    show mt_demo calm pioneer with dspr
    "Видимо, Ольга Дмитриевна поняла моё состояние, потому что сказала:"
    mt "Кошмар, наверное, приснился."
    "Cовсем в этом не уверенный, я всё же кивнул."
    me "Извините… за руку."
    mt "А за то, что проспал, значит, не извиняешься?"
    show mt_demo smile pioneer with dspr
    "Она улыбнулась."
    mt "Ладно, даю тебе пять минут."
    mt "Вставай, одевайся и живо иди умываться."
    hide mt_demo with dissolve
    play sound sfx_close_door_clubs_nextroom
    "И вышла из домика."
    window hide

    scene bg int_house_of_mt_day with fade2
    show mt_demo normal pioneer with dissolve
    window show
    "Когда через пять минут она вошла снова, я был уже одет."
    mt "Ну, как? Ты в порядке?"
    "Я не знал, что ответить."
    "Грусть притупилась, но вместо неё возник стыд за то, что ударил Ольгу Дмитриевну, и в очередной раз проспал всё утро."
    "Честно говоря, я давно уже забыл, что это такое — стыд, но тут пришлось вспомнить."
    mt "Больше не будешь бить вожатую?"
    me "…"
    "Вся моя теперешняя жизнь походит чёрт знает на что!"
    "И ещё у меня было странное предчувствие, потому что Ольга Дмитриевна принесла с собой большой пакет."
    if abcb_day_3_badmorning == 1:
        "Даже больше, чем вчера."
    else:
        pass
    "Ольга Дмитриевна заметила, куда я смотрю, и снова улыбнулась."
    mt "Да-да! Это тебе."
    mt "Проспал — будешь отрабатывать."
    "…"
    mt "А заодно я тебе принесла бутерброд."
    me "Спасибо!"
    "Кажется, утро было не таким уж и плохим."
    "Я протянул руку…"
    mt "Даже не думай!"
    window hide

    scene bg int_house_of_mt_day with flash
    show mt_demo normal pioneer with dissolve
    window show
    "Голос из… из сна! Так это была Ольга Дмитриевна!"
    "Я мотнул головой, а она продолжала."
    mt "…ле того, как умоешься!"
    mt "За работой и поешь."
    "Она поставила пакет на пол."
    "Ладно, сейчас она уйдёт…"
    mt "Идём, я тебя провожу до умывальника."
    "Она хитро прищурилась."
    mt "А то знаю я тебя! Ещё потеряешься и не дойдёшь."
    stop music fadeout 2
    stop ambience fadeout 2
    "…"
    window hide

    scene bg ext_washstand_day with fade
    play ambience ambience_camp_center_day fadein 1
    play music music_list["everyday_theme"]
    window show
    "Пока мы шли, Ольга Дмитриевна объясняла, что я должен буду сделать."
    mt "Посчитай столбики с цифрами и убедись, чтобы они совпадали. Их не так много."
    "Я с сомнением кивнул."
    if abcb_day_3_badmorning == 1:
        "Всё как вчера, что ли?"
    else:
        pass
    "Когда мы вышли к умывальникам, Ольга Дмитриевна заметно повеселела."
    show mt_demo normal panama swim with dissolve
    mt "Ну вот! Добрался целый и невредимый."
    mt "Всё понял?"
    me "Проверить столбики…"
    mt "Молодец!"
    me "Да, но что, если…"
    "Она нетерпеливо махнула рукой."
    mt "Сам разберёшься."
    "Развернулась и на прощанье сказала:"
    mt "Чао."
    hide mt_demo with dissolve
    "Хм… А почему она была в купальнике?"
    "…"
    window hide
    stop ambience fadeout 1
    stop music fadeout 1

    #К сожалению, дальнейшие события совершенно не прописаны.
    #jump abcb_day_4_map_prepare
    #ПРИМЕЧАНИЕ: так как дальше ничего не происходит, то сделан сразу джамп на следующий день. Однако слоты, звуки, музыка и локации прописаны — можно допиливать на их основе.
    scene black with fade2
    $ night_time()
    $ persistent.sprite_time = "night"
    window show
    "День сегодня выдался на редкость бесполезный. До обеда я разбирался с бумагами, а после этого бесцельно шатался по лагерю до самого отбоя."
    "Завтра будет лучше, я это точно знаю."
    "…"
    window hide
    jump abcb_day_5_start

    #ORIGINAL SCENARIO NOTES:
    #$ set_mode_nvl()
    #"Дальше будет выбор. Делать работу за М-тян или не делать."
    #"Если решили читать бухгалтерские книги СНОВА (попали в 3й день на бэд-ветку), то открывается небольшой секрет. Внимательность гг позволит ему найти в книгах информацию о том, что огромные средства выделяются... на санузел или на новые скамейки. Он достанет старые книги (которые М-тян не выбросила, а бросила под своей кроватью) и узнаёт, что к этому причастна К-сенсей."
    #"Разобравшись, что деньги перечисляются на секретную лабораторию, гг попытается шантажировать К-сенсей или просто проболтается об этом открытии. Та сделает ему уже описанный минет с кубиками льда... и угроза (в лице Семёна) будет устранена. Секретная ветка пройдена. Начинайте игру заново или с места сохранения."
    #$nvl_clear()
    #"Если же герой отказывается от работы (либо устал от вчерашней, либо просто ленится и идёт гулять), то он получает обычные блоки с девушками."
    #"Вечером он врёт М-тян о том, что сделал работу, и та несёт её своему начальству. Потому что эти книги были самыми настоящими и потому что ошибки не были выявлены - М-тян наказывают. И пятый день начинается, как и задумывалось, с того, что М-тян занята исправлением книг. (Если же герой исправляет ошибки, то М-тян уезжает. Здесь событийная вилка.)"
    #$ set_mode_adv()
    #"..."

#Утренние блуждания по карте
label abcb_day_4_map_prepare:
    $ disable_all_zones()
    $ abcb_chapter(4, u"FIXME")
    play music music_list["everyday_theme"] fadein 1

    $ set_zone("music_club",   "abcb_day_4_event_music_club")
    $ set_zone("clubs",        "abcb_day_4_event_clubs")
    $ set_zone("camp_entrance","abcb_day_4_event_camp_entrance")
    $ set_zone("dv_us_house",  "abcb_day_4_event_dv_us_house")
    $ set_zone("dining_hall",  "abcb_day_4_event_dining_hall")
    $ set_zone("sport_area",   "abcb_day_4_event_sport_area")
    $ set_zone("beach",        "abcb_day_4_event_beach")
    $ set_zone("me_mt_house",  "abcb_day_4_event_me_mt_house")
    $ set_zone("library",      "abcb_day_4_event_library")
    $ set_zone("medic_house",  "abcb_day_4_event_medic_house")
    $ set_zone("estrade",      "abcb_day_4_event_estrade")
    $ set_zone("square",       "abcb_day_4_event_square")
    $ set_zone("boat_station", "abcb_day_4_event_boat_station")

    #ПРИМЕЧАНИЕ: далее автор сценария просто скопипастил каркас второго дня
    $ abcb_day_4_necessary_done = 0
    jump abcb_day_4_map

#Условие для попадания на обед
label abcb_day_4_map:
    if  abcb_day_4_necessary_done != 4:
        $ show_map()
    else:
        jump abcb_day_4_dinner

#Муз. клуб
label abcb_day_4_event_music_club:
    scene bg ext_musclub_day with fade
    play ambience ambience_camp_center_day fadein 1
    "…"
    stop ambience fadeout 1
    play sound sfx_open_door_clubs

    scene bg int_musclub_day with fade
    play ambience ambience_music_club_day fadein 1
    show mi_demo normal pioneer with dissolve
    mi "Да ничего, его постоянно роняют."
    hide mi_demo
    stop ambience fadeout 1
    $ abcb_day_4_necessary_done += 1
    $ disable_current_zone()
    jump abcb_day_4_map

#Клуб
label abcb_day_4_event_clubs:
    if been_there()>1:
        scene bg map with dissolve
        "Нет, хватит! Больше никакой кибернетики на сегодня!"
        jump abcb_day_4_map

    scene bg ext_clubs_day with fade
    play ambience ambience_camp_center_day fadein 1
    "Не буду отвлекать людей от занятий."
    stop ambience fadeout 1
    $ abcb_day_4_necessary_done += 1
    jump abcb_day_4_map

#Ворота лагеря
label abcb_day_4_event_camp_entrance:
    scene bg ext_camp_entrance_day with fade
    play ambience ambience_camp_entrance_day fadein 1
    if been_there() == 1:
        "Автоус так и не появился."

    if been_there() > 1:
        "Я уже был здесь. Делать мне нечего — ходить туда-сюда."
        $ disable_current_zone()
    stop ambience fadeout 1
    jump abcb_day_4_map

#Домики 4 (западные)
label abcb_day_4_event_dv_us_house:
    if been_there()>1:
        scene bg map with dissolve
        "Идти туда, зная, что там живут Дваче и Ульянка? Да ни за что на свете!"
        $ disable_current_zone()
        jump abcb_day_4_map

    scene bg ext_houses_day with fade
    play ambience ambience_camp_center_day fadein 1
    scene bg ext_house_of_dv_day with dissolve
    "…"
    stop ambience fadeout 1
    jump abcb_day_4_map

#Столовая
label abcb_day_4_event_dining_hall:
    scene bg map with dissolve
    "Еда в лагере выдаётся только в строго определённое время."
    "Так что до обеда в столовой делать абсолютно нечего."
    $ disable_current_zone()
    jump abcb_day_4_map

#Спорт. площадки
label abcb_day_4_event_sport_area:
    if been_there()>1:
        scene bg map with dissolve
        "В детство я возвращаться не собираюсь. У меня другие планы на день."
        $ disable_current_zone()
        jump abcb_day_4_map

    scene bg ext_playground_day with fade
    play ambience ambience_soccer_play_background fadein 1
    "На спортивной площадке какие-то малыши гоняли в футбол."
    stop ambience fadeout 1
    jump abcb_day_4_map

#Пляж
label abcb_day_4_event_beach:
    scene bg ext_beach_day with fade
    play ambience ambience_lake_shore_day fadein 1
    "На пляже, скорее всего, загорает Ольга Дмитриевна — не хотелось бы попасться ей на глаза."
    stop ambience fadeout 1
    $ disable_current_zone()
    jump abcb_day_4_map

#Домики (северные)
label abcb_day_4_event_me_mt_house:
    if been_there()>1:
        scene bg ext_houses_day with fade
        play ambience ambience_camp_center_day fadein 1
        "Хм. И что я здесь забыл?"
        stop ambience fadeout 1
        jump abcb_day_4_map

    scene bg ext_house_of_mt_day with fade
    play ambience ambience_camp_center_day fadein 1
    "Я вышел к своему домику и остановился."
    stop ambience fadeout 1
    jump abcb_day_4_map

#Библиотека
label abcb_day_4_event_library:
    scene bg ext_library_day with fade
    play ambience ambience_camp_center_day fadein 1
    "Я решил зайти в библиотеку."
    stop ambience fadeout 1

    scene bg int_library_day with fade
    play ambience ambience_library_day fadein 1
    "Ничего интересного."
    stop ambience fadeout 1
    $ abcb_day_4_necessary_done += 1
    $ disable_current_zone()
    jump abcb_day_4_map

#Медпункт
label abcb_day_4_event_medic_house:
    scene bg ext_aidpost_day with fade
    play ambience ambience_camp_center_day fadein 1
    if been_there()>1:
        "Но у меня же ничего не болит!"
        stop ambience fadeout 1
        $ disable_current_zone()
        jump abcb_day_4_map

    "Зайти в медпункт? Но что я скажу Виоле?"
    stop ambience fadeout 1
    $ abcb_day_4_necessary_done += 1
    jump abcb_day_4_map

#Эстрада
label abcb_day_4_event_estrade:
    scene bg ext_stage_big_day with fade
    play ambience ambience_camp_center_day fadein 1
    "Пусто, как и всегда."
    stop ambience fadeout 1
    $ disable_current_zone()
    jump abcb_day_4_map

#Площадь
label abcb_day_4_event_square:
    scene bg ext_square_day with fade
    play ambience ambience_camp_center_day fadein 1
    $ random = renpy.random.choice([1,4,3])
    if random == 1:
        th "Странный памятник."
    else:
        if random == 4:
            me "Похоже, это единственное место, где всё по-прежнему."
        else:
            th "Мне здесь нечего делать."
    stop ambience fadeout 1
    jump abcb_day_4_map

#Причал
label abcb_day_4_event_boat_station:
    scene bg ext_boathouse_day with fade
    play ambience ambience_boat_station_day fadein 1
    if been_there()>1:
        "Я здесь уже был."
        stop ambience fadeout 1
        $ disable_current_zone()
        jump abcb_day_4_map
    "Приятно посидеть здесь, когда за тобой никто не гонится."
    stop ambience fadeout 1
    jump abcb_day_4_map


#ОБЕД
label abcb_day_4_dinner:
    $ abcb_chapter(4, u"Обед")

    #ПРИМЕЧАНИЕ: здесь и далее я почти ничего не изменял. При допиле можете скопировать из предыдущего дня. Или из первой половины дня.

    #$renpy.music.set_volume (0.7, channel=7)
    play music music_list["everyday_theme"]

    play sound sfx_dinner_horn_processed
    "Раздаётся сигнал на обед."
    scene bg black with fade
    scene bg ext_dining_hall_near_day
    show bg int_dining_hall_day
    scene bg black with fade


#Послеобеденный ивент
    jump abcb_day_4_mapAf_prepare

#Гуляния по карте после обеда
label abcb_day_4_mapAf_prepare:
    $ abcb_chapter(4, u"Послеобеденные события")
    $ disable_all_zones()

    #$renpy.music.set_volume (0.7, channel=7)
    play music music_list["everyday_theme"]

    $ set_zone("music_club",   "abcb_day_4_eventAf_music_club")
    $ set_zone("clubs",        "abcb_day_4_eventAf_clubs")
    $ set_zone("camp_entrance","abcb_day_4_eventAf_camp_entrance")
    $ set_zone("dv_us_house",  "abcb_day_4_eventAf_dv_us_house")
    $ set_zone("dining_hall",  "abcb_day_4_eventAf_dining_hall")
    $ set_zone("sport_area",   "abcb_day_4_eventAf_sport_area")
    $ set_zone("beach",        "abcb_day_4_eventAf_beach")
    $ set_zone("me_mt_house",  "abcb_day_4_eventAf_me_mt_house")
    $ set_zone("library",      "abcb_day_4_eventAf_library")
    $ set_zone("medic_house",  "abcb_day_4_eventAf_medic_house")
    $ set_zone("estrade",      "abcb_day_4_eventAf_estrade")
    $ set_zone("square",       "abcb_day_4_eventAf_square")
    $ set_zone("boat_station", "abcb_day_4_eventAf_boat_station")

    $ day_4_necessaryAf_done = 0
    jump abcb_day_4_mapAf

label abcb_day_4_mapAf:
    $ show_map()
    #TODO: условие перехода на ужин
    #jump abcb_day_4_supper

#Муз. клуб
label abcb_day_4_eventAf_music_club:
    if been_there()>1:
        scene bg map
        "Не хочу мешать. Лучше зайду в следующий раз."
        jump abcb_day_4_mapAf
    scene bg ext_musclub_day
    jump abcb_day_4_mapAf

#Клуб
label abcb_day_4_eventAf_clubs:
    if been_there()>1:
        scene bg map
        "Клуб юного техника умеет ждать."
        jump abcb_day_4_mapAf
    scene bg ext_clubs_day
    "БГ вечерний."
    jump abcb_day_4_mapAf

#Ворота лагеря
label abcb_day_4_eventAf_camp_entrance:
    scene bg ext_camp_entrance_day
    #ORIGINAL SCENARIO NOTE:
    #"Б4. Сейчас начнётся первый слот Дваче."
    scene bg black
    jump abcb_day_4_slot_dv

#Домики 4 (западные)
label abcb_day_4_eventAf_dv_us_house:
    scene bg ext_houses_day
    $ disable_current_zone()
    jump abcb_day_4_mapAf

#Столовая
label abcb_day_4_eventAf_dining_hall:
    scene bg map
    "Спасибо, обеда мне вполне хватило."
    $ disable_current_zone()
    jump abcb_day_4_mapAf

#Спорт. площадки
label abcb_day_4_eventAf_sport_area:
    show sl_demo normal pioneer
    #ORIGINAL SCENARIO NOTE:
    #"Славя. Б4. После него слот."
    scene bg black
    jump abcb_day_4_slot_sl

#Пляж
label abcb_day_4_eventAf_beach:
    scene bg ext_beach_day
    #TODO: что-нибудь
    scene bg black
    jump abcb_day_4_slot_un

#Домики (северные)
label abcb_day_4_eventAf_me_mt_house:
    scene bg map
    "Что мне там делать?"
    $ disable_current_zone()
    jump abcb_day_4_mapAf

#Библиотека
label abcb_day_4_eventAf_library:
    $ random = renpy.random.choice([1,4,4])
    if random == 1:
        scene bg ext_library_day
        "Закрыто."
    else:
        if random == 4:
            scene bg ext_library_day
            "А где же Женя?"
        else:
            scene bg ext_library_day
            "Почему библиотека закрыта?"
    jump abcb_day_4_mapAf

#Медпункт
label abcb_day_4_eventAf_medic_house:
    scene bg ext_aidpost_day
    "У меня ничего не болит."
    $ disable_current_zone()
    jump abcb_day_4_mapAf

#Эстрада
label abcb_day_4_eventAf_estrade:
    scene bg ext_stage_big_day
    #ORIGINAL SCENARIO NOTE:
    #show us normal
    #"Ульянка. Разговариваем, смеёмся. Б4."
    scene bg black
    jump abcb_day_4_slot_us

#Площадь
label abcb_day_4_eventAf_square:
    scene bg ext_square_day
    $ disable_current_zone()
    jump abcb_day_4_mapAf

#Причал
label abcb_day_4_eventAf_boat_station:
    scene bg ext_boathouse_day
    $ disable_current_zone()
    jump abcb_day_4_mapAf


#УЖИН
label abcb_day_4_supper:
    $ abcb_chapter(4, u"Ужин")
    $ sunset_time ()
    $ persistent.sprite_time = "sunset"
    scene bg int_dining_hall_day



#Гуляния по карте после ужина
    jump abcb_day_4_mapEv_prepare

label abcb_day_4_mapEv_prepare:
    $ abcb_chapter(4, u"Вечерние события")
    $ disable_all_zones()
    $ sunset_time()
    $ persistent.sprite_time = "sunset"

    #$renpy.music.set_volume (0.7, channel=7)
    play music music_list["everyday_theme"]

    $ set_zone("music_club",   "abcb_day_4_eventEv_music_club")
    $ set_zone("clubs",        "abcb_day_4_eventEv_clubs")
    $ set_zone("camp_entrance","abcb_day_4_eventEv_camp_entrance")
    $ set_zone("dv_us_house",  "abcb_day_4_eventEv_dv_us_house")
    $ set_zone("dining_hall",  "abcb_day_4_eventEv_dining_hall")
    $ set_zone("sport_area",   "abcb_day_4_eventEv_sport_area")
    $ set_zone("beach",        "abcb_day_4_eventEv_beach")
    $ set_zone("me_mt_house",  "abcb_day_4_eventEv_me_mt_house")
    $ set_zone("library",      "abcb_day_4_eventEv_library")
    $ set_zone("medic_house",  "abcb_day_4_eventEv_medic_house")
    $ set_zone("estrade",      "abcb_day_4_eventEv_estrade")
    $ set_zone("square",       "abcb_day_4_eventEv_square")
    $ set_zone("boat_station", "abcb_day_4_eventEv_boat_station")

    $ day_4_necessaryEv_done = 0
    jump abcb_day_4_mapEv

label abcb_day_4_mapEv:
    $ show_map()

#Муз. клуб
label abcb_day_4_eventEv_music_club:
    if been_there()>1:
        scene bg map
        "Не хочу мешать. Лучше зайду в следующий раз."
        jump abcb_day_4_mapEv
    scene bg ext_musclub_day
    jump abcb_day_4_mapEv

#Клуб
label abcb_day_4_eventEv_clubs:
    if been_there()>1:
        scene bg map
        "Клуб юного техника умеет ждать."
        jump abcb_day_4_mapEv
    scene bg ext_clubs_day
    "БГ вечерний."
    jump abcb_day_4_mapEv

#Ворота лагеря
label abcb_day_4_eventEv_camp_entrance:
    scene bg ext_camp_entrance_day
    #ORIGINAL SCENARIO NOTE:
    #"Б4. Сейчас начнётся первый слот Дваче."
    scene bg black
    jump abcb_day_4_slot_dv

#Домики 4 (западные)
label abcb_day_4_eventEv_dv_us_house:
    scene bg ext_houses_day
    $ disable_current_zone()
    jump abcb_day_4_mapEv

#Столовая
label abcb_day_4_eventEv_dining_hall:
    scene bg map
    "Спасибо, ужина мне вполне хватило."
    $ disable_current_zone()
    jump abcb_day_4_mapEv

#Спорт. площадки
label abcb_day_4_eventEv_sport_area:
    show sl_demo normal pioneer
    #ORIGINAL SCENARIO NOTE:
    #"Славя. Б4. После него слот."
    scene bg black
    jump abcb_day_4_slot_sl

#Пляж
label abcb_day_4_eventEv_beach:
    scene bg ext_beach_day
    "БГ вечерний."
    scene bg black
    jump abcb_day_4_slot_un

#Домики (северные)
label abcb_day_4_eventEv_me_mt_house:
    scene bg map
    #TODO: переписать реплику - переписал, хз, сойдет или нет
    "Не идти же мне спать? Да ещё так рано… и непонятно, что делать с тортом… "
    $ disable_current_zone()
    jump abcb_day_4_mapEv

#Библиотека
label abcb_day_4_eventEv_library:
    $ random = renpy.random.choice([1,4,4])
    if random == 1:
        scene bg ext_library_day
        "БГ вечерний."
        "Закрыто."
    else:
        if random == 4:
            scene bg ext_library_day
            "Спят усталые игрушки, книжки спят? Ну-ну."
        else:
            scene bg ext_library_day
            "Почему библиотека закрыта? Я так хотел почитать на ночь Канта!"
    jump abcb_day_4_mapEv

#Медпункт
label abcb_day_4_eventEv_medic_house:
    scene bg ext_aidpost_day
    "У меня ничего не болит. Что я скажу… {w}Виоле?"
    "Я вспомнил утренний приём…"
    $ disable_current_zone()
    jump abcb_day_4_mapEv

#Эстрада
label abcb_day_4_eventEv_estrade:
    scene bg ext_stage_big_day
    #ORIGINAL SCENARIO NOTE:
    #show us normal
    #"Ульянка. Разговариваем, смеёмся. Б4."
    scene bg black
    jump abcb_day_4_slot_us

#Площадь
label abcb_day_4_eventEv_square:
    scene bg ext_square_day
    "Ничего."
    $ disable_current_zone()
    jump abcb_day_4_mapEv

#Причал
label abcb_day_4_eventEv_boat_station:
    scene bg ext_boathouse_day
    "Пусто."
    $ disable_current_zone()
    jump abcb_day_4_mapEv

#Слоты и/или сон, а потом новый день
label abcb_day_4_slot_us:
    show us_demo normal pioneer
    "Слот Ульянки. Поздравляю!!!"
    hide us
    "Сон и начало следующего дня."
    jump abcb_day_5_start

label abcb_day_4_slot_un:
    show un_demo normal pioneer
    "Слот Лены. Поздравляю!!!"
    hide un
    "Сон и начало следующего дня."
    jump abcb_day_5_start

label abcb_day_4_slot_dv:
    show dv_demo normal pioneer
    "Слот Дваче. Поздравляю!!!"
    hide dv
    "Сон и начало следующего дня."
    jump abcb_day_5_start

label abcb_day_4_slot_sl:
    show sl_demo normal pioneer
    "Слот Слави. Поздравляю!!!"
    hide sl
    "Сон и начало следующего дня."
    jump abcb_day_5_start

label abcb_loser4:
    scene bg ext_dining_hall_near_day
    "Чёрт! Так опозориться перед всем лагерем!"
    "Нужно забыться. Поиграю-ка я в электронику."
    jump abcb_dream4

label abcb_dream4:
    scene bg int_house_of_mt_sunset
    "Вы не выиграли слот. Может, повезёт в следующий раз."
    "Сон и начало следующего дня."
    scene bg black
    jump abcb_day_5_start