﻿# День 5.
# День Детективной истории и Пляжа
init:
    $ abcb_day_5_necessary_done = 0

label abcb_day_5_start:
    $ abcb_chapter(5, u"Утро")
    $ day_time()
    $ persistent.sprite_time = "day"

    play music music_list["my_daily_life"] fadein 2
    play ambience ambience_int_cabin_day fadein 2

    scene bg int_house_of_mt_day:
        zoom 2.0 xcenter 0.35 ycenter 0.65
    with fade2
    $ renpy.pause(1)

    scene bg int_house_of_mt_day:
        zoom 2.0 xcenter 0.35 ycenter 0.65
        linear 5.0 zoom 1.0 xcenter 0.5 ycenter 0.5
    window show
    "Утро."
    "Солнце слепило даже сквозь опущенные веки."
    "Я поворочался на кровати, пытаясь найти место, где свет не попадает в глаза, но солнце было повсюду."
    "Да и спать уже совершенно не хотелось!"
    "Я с наслаждением потянулся, упёршись руками в спинку кровати."
    th "Как приятно проснуться полностью выспавшимся!"
    th "Самому, когда никто не будит…"
    window hide

    scene bg int_house_of_mt_day with dissolve
    window show
    "Я приоткрыл глаз. {w}Ольги Дмитриевны не было."
    th "Никуда не надо спешить. Как хорошо!"
    "И даже мимолётная мысль"
    show mt_demo angry pioneer
    with flash
    extend "\n~Завтрак я, конечно, проспал.~"
    hide mt_demo with dissolve
    extend "\nне может испортить умиротворяющее настроение этого утра."
    window hide

    scene bg int_house_of_mt_day with dissolve
    window show
    "Я потянулся и открыл глаза уже полностью."
    th "Надо вставать!"
    th "Но только ещё пять минут… {w}понежиться…"
    th "Как в детстве!"
    th "Пока так чудно припекает утреннее солнце…"
    th "Только странно, что припекает лицо и ничего больше."
    stop music fadeout 1
    play sound sfx_pitch
    th "И не припекает…"
    th "Не припекает вовсе!"
    window hide
    #play sound sfx_suspence_bang
    stop sound fadeout 1

    play music music_list["doomed_to_be_defeated"]
    with vpunch
    window show
    "А ЖЖЁТ!!!"
    me "Ааааа!"
    "Лицо горело."
    "Я вскочил с кровати и поискал глазами…"
    me "Слава богам!"
    "На столе со вчерашнего вечера осталось зеркальце Ольги Дмитриевны."
    "Одного взгляда хватило, чтобы понять, что со мной произошло."
    "Кто-то намазал меня во сне зубной пастой!"
    me "W{w=.1}R{w=.1}Y{w=.1}Y{w=.05}Y{w=.05}Y{w=.05}Y{w=.01}Y{w=.01}Y{w=.01}Y{w=.005}Y{w=.005}Y{w=.005}Y{w=.005}Y{w=.005}Y{w=.0001}Y{w=.0001}Y{w=.0001}Y{w=.0001}Y{w=.0001}Y{w=.0001}Y{w=.0001}Y{w=.0001}Y!"
    stop music fadeout 2

    "Этот крик помог мне немного успокоиться."
    play music music_list["my_daily_life"] fadein 2
    "Самые страшные догадки…"
    extend "\n~Мама, у меня внезапно случился рак кожи!~"
    extend "\nне оправдались."
    "Да и жгло не так сильно, как показалось в самый первый момент."
    "У страха глаза велики."
    "Надо всего лишь умыться, и это пройдёт."
    me "Пройдёт?"
    "Я натянул брюки."
    me "Ну уж нет!"
    "Я не дам этому закончиться так просто!"
    "Рубашку пришлось надевать аккуратно, чтобы не запачкать."
    "Тот, кто это сделал, не уйдёт безнаказанным!"
    "Нельзя дать моей злости угаснуть."
    me "Месть!"
    "Принцип талиона: око за око, зуб за зуб."
    extend "\nЯ повертел у вруках тюбик «Пионерской»."
    extend "\nХм… Паста за пасту!"
    "Подходя к двери, я заметил приколотую кнопкой записку."
    "«Уехала в город до вечера. Присмотри за Ульянкой. И не шали!»"
    "И подпись: «Ольга.»"
    "Внезапная догадка"
    show mt_demo smile pioneer far
    with flash
    extend "\n~Неужели это она?!~"
    hide mt_demo with dissolve
    extend "\nснова заставила меня думать о том, кто подшутил надо мной."
    "Нет. Ольга Дмитриевна не стала бы, я уверен."
    "Она бы нашла способ поизощрённей…"
    "Ульянка!!! Вот кто это сделал!"
    "Как же я сразу не додумался?"
    "Никто, кроме неё, на такое не способен."
    "Если бы можно было пойти и придушить её!"
    "Я представил себе это…"
    window hide

    scene bg int_house_of_mt_day with flash
    window show
    "Кажется, я даже тихонько зарычал — так всё было чудесно. Ррррр!"
    "Нет."
    "Я с сожалением оставил это видение."
    "Красный Крест не одобрит…"
    "Ольга Дмитриевна приедет, и надаёт по шее…"
    "Да и доказательств никаких нет."
    "Точно!"
    me "Cоберу улики и найду виновного!"
    me "Вот что я сделаю!"
    "С этими словами я пошёл умываться."
    window hide
    stop music fadeout 2
    stop ambience fadeout 1

    scene bg ext_washstand_day with fade2
    play ambience ambience_camp_center_day fadein 1
    play music music_list["two_glasses_of_melancholy"] fadein 1
    window show
    "Оказывается, паста отмывается с большим трудом."
    "Да ещё и оставляет на лице следы."
    "Красные."
    "Наклонившись над умывальником, я смотрел в зеркало и стирал с лица засохшую пасту."
    "Нет, я точно этого так не оставлю!"
    "Вдруг в зеркале появилось ещё одно лицо."
    show mz_demo angry pioneer with dissolve
    "Я вздрогнул и повернулся."
    me "Привет."
    "Это была Женя."
    "И какая-то странная."
    mz "Это ты украл мои очки?"
    "Точно!"
    "Я в первый раз видел её без этих нелепых очков, за которыми…"
    th "У неё красивые глаза!"
    me "Я?! Ничего я не крал!"
    me "Да меня самого обмазали зубной пастой, пока я спал!"
    me "Смотреть нельзя. Весь красными пятнами пошёл."
    "Я показал на себя."
    show mz_demo bukal pioneer with dspr
    mz "Хм. Ничего не вижу."
    mz "По-моему, ты вполне обычный. Такой же, как всегда."
    hide mz_demo with dissolve
    "И ушла."
    "Стерва!"
    "Чёрт! Я же забыл спросить про улики!!!"
    "Ладно, поищу в домике. Может быть, Уль… то есть виновник обронил что-нибудь."
    window hide
    stop ambience fadeout 1

    scene bg int_house_of_mt_day with fade
    play ambience ambience_int_cabin_day fadein 1
    window show
    "Ничего."
    "Ни одной зацепки!"
    "Видимо, мне попался серьёзный противник!"
    "Но так даже интереснее."
    "Надо обойти лагерь и опросить всех."
    "Наверняка кто-нибудь видел что-то подозрительное."
    window hide
    stop ambience fadeout 1
    stop music fadeout 1
    jump abcb_day_5_map_prepare

label abcb_day_5_map_prepare:
    $ disable_all_zones()
    $ abcb_chapter(5, u"Расследование")

    $ set_zone("music_club",   "abcb_day_5_event_music_club")
    $ set_zone("clubs",        "abcb_day_5_event_clubs")
    $ set_zone("camp_entrance","abcb_day_5_event_camp_entrance")
    $ set_zone("dv_us_house",  "abcb_day_5_event_dv_us_house")
    $ set_zone("dining_hall",  "abcb_day_5_event_dining_hall")
    $ set_zone("sport_area",   "abcb_day_5_event_sport_area")
    $ set_zone("beach",        "abcb_day_5_event_beach")
    $ set_zone("me_mt_house",  "abcb_day_5_event_me_mt_house")
    $ set_zone("library",      "abcb_day_5_event_library")
    $ set_zone("medic_house",  "abcb_day_5_event_medic_house")
    $ set_zone("estrade",      "abcb_day_5_event_estrade")
    $ set_zone("square",       "abcb_day_5_event_square")
    $ set_zone("boat_station", "abcb_day_5_event_boat_station")

    play music music_list["just_think"] fadein 1
    $ abcb_day_5_necessary_done = 0
    jump abcb_day_5_map

label abcb_day_5_map:
    if  abcb_day_5_necessary_done < 3:
        $ show_map()
    else:
        jump abcb_day_5_dinner

label abcb_day_5_event_music_club:
    scene bg int_musclub_day with fade
    play ambience ambience_music_club_day fadein 1
    window show
    if been_there()>1:
        show mi_demo neutral pioneer with dissolve
        mi "Нашёл?"
        me "Ищу-ищу!"
        me "То есть, ещё ищу!"
        window hide
        stop ambience fadeout 1
        jump abcb_day_5_map

    stop music fadeout 1
    show mi_demo upset pioneer with dissolve
    play music music_list["so_good_to_be_careless"] fadein 1
    mi "Пропали!"
    "С этим печальным криком, пробившимся сквозь сдавленные рыдания, Мику прижалась ко мне и уткнулась лицом в моё плечо."
    show mi_demo upset pioneer close with dissolve
    th "Прижалась…"
    "На мгновение я забыл, зачем я здесь и что вообще происходит."
    "Это было так чудесно, что мне пришлось напомнить себе, что нужно делать."
    "Я обнял её и погладил по волосам."
    me "Что…"
    me "Что случилось?"
    show mi_demo cry pioneer with dissolve
    mi "Пропали наушники!"
    mi "Я пришла, а наушников нет."
    mi "Пропали мои наушники!"
    mi "А я пришла…"
    "При виде плачушей девочки вся моя холодная рассудительность детектива, идущего по следу, куда-то испарилась."
    "Я почти закричал:"
    me "Я найду их!"
    th "Боже, как пафосно!"
    me "Не бойся, я обязательно найду их!"
    "Слова были нелепыми, я не знал, где мне искать наушники."
    "Я сам пришёл, чтобы найти кое-кого…"
    show mi_demo normal pioneer with dspr
    "Но, кажется, моя горячность пошла Мику на пользу — она перестала всхлипывать и посмотрела на меня с благодарностью."
    "Кажется, я покраснел."
    "Чтобы справиться со смущением, я спросил:"
    me "Ты ничего подозрительного не видела?"
    show mi_demo smile pioneer with dspr
    mi "Не-а. А я только что пришла!"
    th "Она уже улыбается."
    me "Тогда давай посмотрим вместе, может найдём что-нибудь!"
    mi "Угу!"
    hide mi_demo with dissolve
    "Она тут же с готовностью опустилась на коленки, и полезла смотреть под стол…"
    "В это время её юбка задралась и…"
    th "В полосочку!"
    "…только и успел подумать я, как Мику уже обернулась ко мне."
    show mi_demo smile pioneer with dissolve
    mi "Смотри, что я нашла!"
    "Я торопливо отвёл глаза."
    me "Ч… то?"
    mi "А вот!"
    window hide

    scene cg day5_musicclub_evidence with dissolve
    window show
    "Она торжествующе протянула мне {b}красный волос{/b}!"
    "Все мои подозрения вспыхнули с новой силой!"
    me "Уль…"
    window hide

    scene bg int_musclub_day
    show mi_demo neutral pioneer
    with dissolve
    window show
    mi "Что?"
    me "Ультрафиолетовый волос! Ага!"
    th "Что я несу?"
    me "Теперь я обязательно найду твои наушники!"
    show mi_demo smile pioneer with dspr
    "Мику была счастлива, а я чувствовал себя идиотом."
    mi "Спасибо!"
    mi "А как ты их найдёшь?"
    me "Ну, я…"
    with flash
    "Передо мной снова возникло видение удушения Ульянки… Ммм…"
    me "Я принесу их тебе!"
    me "Будь здесь! Я мигом!"
    mi "Угу!"
    window hide
    stop music fadeout 1
    stop ambience fadeout 1

    scene bg black with dissolve
    $ renpy.pause (1)
    play music music_list["just_think"] fadein 1
    jump abcb_day_5_map

label abcb_day_5_event_clubs:
    scene bg ext_clubs_day with fade
    play ambience ambience_camp_center_day fadein 1
    window show
    if been_there()==1:
        play sound sfx_open_door_strong
        "Рванув на себя дверь, я с удивлением слетел со ступенек."
        play sound sfx_bodyfall_1
        "В руках осталась дверная ручка."
        th "Закрыто."
        "День определённо был странным."
        "Подойдя, чтобы попытаться приделать ручку обратно, я увидел на стенде свежий листок бумаги."
        window hide
        $ set_mode_nvl()
        window show
        "Почерк был корявый, как будто писал первоклассник:"
        "«Если ещё кто-нибудь прикоснётся к нашим вещам, ему не поздоровится!»"
        "Подпись: «Сыроежкин.»"
        "Снизу была приписка большими печатными буквами:"
        "«НЕТ, Я ВСЁ ПОНИМАЮ, НО ЗАЧЕМ КОМУ-ТО МОГЛИ ПОНАДОБИТЬСЯ ЖУРНАЛЫ «ЮНЫЙ ФИЗИК»? ПРИЧЁМ ПОДПИСКА ЗА ДЕСЯТЬ ЛЕТ СРАЗУ?! ВЕРНИТЕ НЕМЕДЛЕННО! ШУРИК.»"
        #"«Нет, я всё понимаю! Но зачем кому-то могли понадобиться журналы Юный Физик? Причём, подписка за десять лет сразу?! Верните немедленно! ШУРИК.»"
        window hide
        $ set_mode_adv()
        window show
        me "Мда!"
    else:
        "Видимо, ничего не изменилось. "
        "Ручка валяется там же, на крыльце, где я…"
        "Нет-нет! Это не я!"
    window hide
    stop ambience fadeout 1
    jump abcb_day_5_map

label abcb_day_5_event_camp_entrance:
    $ random = renpy.random.choice([1,2,3])
    scene bg ext_camp_entrance_day with fade
    play ambience ambience_camp_entrance_day fadein 1
    window show
    if random == 1:
        me "Ворота на месте. Даже странно, что их не тронули."
        me "Всего-то тонну весят. Я думал, их тоже унесут."
    else:
        if random == 2:
            me "Похоже, это единственное место, где всё по-прежнему."
        else:
            me "Никто не выпилил ворота? Удивительно!"
    window hide
    stop ambience fadeout 1
    jump abcb_day_5_map

label abcb_day_5_event_dv_us_house:
    scene bg ext_house_of_dv_day with fade
    play ambience ambience_camp_center_day fadein 1
    window show
    if been_there()>1:
        show dv_demo normal pioneer with dissolve
        dv "Ну, нашёл?"
        "Я попытался вспомнить, что же я ищу."
        "Ульянку!"
        me "Нет. Похоже, она где-то прячется."
        me "А как у тебя дела? Не высохли ещё?"
        dv "Не-а, но я упёртая. Высохнут."
        "Судя по тому, что Дваче всё ещё здесь, я мог бы догадаться и сам…"
        dv "Куда они денутся…"
        window hide
        stop ambience fadeout 1
        jump abcb_day_5_map

    stop music fadeout 1
    show dv_demo rage pioneer with dissolve
    play music music_list["heather"]
    dv "Есть что по фенам?"
    "Сказать, что я растерялся — ничего не сказать."
    "Кажется, мой рот всё ещё был открытым, когда я начал спрашивать «Что?»."
    "И, похоже, я начал заикаться, потому что получилось:"
    me "Щито?"
    show dv_demo normal pioneer with dspr
    dv "Расслабься. Я не верю, что это был ты."
    dv "Иначе ты бы уже лежал."
    "Я в который уже раз подумал, что богатое воображение не всегда бывает полезно. "
    "Оно рисует удивительно красивые картины."
    "Например, как я лежу на Дваче…"
    "Но после этих слов я увидел такой кошмар, что пришлось потрясти головой, чтобы он прошёл."
    me "М-м-м…"
    "Я постарался подобрать как можно более нейтральные слова:"
    me "Привет. А что случилось?"
    show dv_demo grin pioneer with dspr
    dv "Кто-то взял мою куртку и всю её промочил."
    me "Понимаю…"
    "Я не понимал. Вернее, фраза про фен стала понятней, но так растроиться из-за куртки…"
    me "Это была твоя любимая куртка, да?"
    show dv_demo rage pioneer with dspr
    dv "Да чёрт с ней, с курткой! В ней лежали мои последние сигареты!"
    dv "И они все промокли."
    dv "Теперь приходится сушить их, а они ни черта не сохнут!"
    me "Действительно!"
    "Теперь я по-настоящему сочувствовал Дваче."
    "Как-то само собой вспомнилось, что однажды зимой у меня кончились сигареты."
    "И не было денег даже на самые дешёвые…"
    "Тогда я был счастлив, найдя одну старую сигарету, завалившуюся за диван…"
    me "Тебе чем-нибудь помочь?"
    show dv_demo normal pioneer with dspr
    dv "Не надо. Я уже всё утро тут их сушу, скоро высохнут."
    me "М-м-м… А ты не видела Ульянку."
    dv "Не-а."
    dv "Когда я проснулась, её уже не было."
    dv "А потом нашла куртку, и не до неё стало."
    show dv_demo grin pioneer with dspr
    dv "Думаешь, это она?"
    "Я помотал головой."
    me "Не знаю. Меня самого кто-то утром пастой измазал."
    show dv_demo smile pioneer with dspr
    dv "Заметно."
    "Чёрт! Я думал, уже всё прошло."
    show dv_demo normal pioneer with dspr
    dv "Если найдёшь её — передай, чтобы готовила себе алиби."
    dv "Я за такое…"
    "Ух."
    me "М-м-м…"
    "Я сглотнул."
    me "Обязательно передам. Я сам её ищу."
    window hide
    stop music fadeout 1
    stop ambience fadeout 1
    play music music_list["just_think"] fadein 1

    $ abcb_day_5_necessary_done += 1
    jump abcb_day_5_map

label abcb_day_5_event_dining_hall:
    if been_there()==1:
        scene bg ext_dining_hall_away_day with fade
        play ambience ambience_camp_center_day fadein 1
        window show
        me "Как вкусно пахнет! Готовят обед…"
        play sound sfx_stomach_growl
        "В желудке сладко заурчало."
        me "Как жаль, что сейчас ничего не дадут, раз уж я опоздал на завтрак."
        me "Пойду-ка я отсюда."
        window hide
        stop ambience fadeout 1
        jump abcb_day_5_map

    if been_there()==2:
        scene bg int_dining_hall_day with fade2
        play ambience ambience_dining_hall_empty fadein 2
        $ renpy.pause (1)
        play sound sfx_stomach_growl
        window show
        "Как же хочется есть!"
        "Но ещё не накрыто, а на кухню не пустят."
        "Нужно бежать отсюда,"
        "Этот запах меня убивает!"
        window hide
        stop ambience fadeout 1
        jump abcb_day_5_map

    scene bg ext_dining_hall_away_day with fade
    play ambience ambience_camp_center_day fadein 1
    window show
    "Надо будет выучить новую мантру:"
    "Жди обеда. Жди обеда. Жди обеда."
    window hide
    stop ambience fadeout 1
    $ disable_current_zone()
    jump abcb_day_5_map

label abcb_day_5_event_sport_area:
    scene bg ext_playground_day with fade
    play ambience ambience_camp_center_day fadein 1
    window show

    if been_there()>1:
        "Ульянки здесь нет. И спущенный мяч я с собой таскать не буду!"
        window hide
        stop ambience fadeout 1
        jump abcb_day_5_map

    me "Ага!"
    "На площадке валяются спущенные мячи."
    me "Вот и ещё улики!"
    "Я уже хотел взять с собой один мяч, но что-то меня остановило."
    th "Хм. А что может доказывать спущенный мяч?"
    th "То, что он спущен?"
    "Я выругался про себя и бросил мяч обратно."
    window hide
    stop ambience fadeout 1
    jump abcb_day_5_map

label abcb_day_5_event_beach:
    scene bg ext_beach_day with fade
    play ambience ambience_lake_shore_day fadein 1
    window show

    if been_there()>1:
        "Здесь я узнал всё, что только мог."
        window hide
        stop ambience fadeout 1
        jump abcb_day_5_map

    stop music fadeout 1
    show sl_demo smile swim with dissolve
    play music music_list["gentle_predator"]
    sl "Приветик!"
    me "Привет."
    "Ммм…"
    "Встретить на пляже загорающую Славю…"
    "Что может быть лучше?"
    "Я уже собирался сбросить с себя рубашку и тоже позаго…"
    show sl_demo surprise swim with dspr
    sl "А что с твоим лицом?"
    "Чёрт! Я уже совсем забыл об этом!"
    me "Да… Кто-то намазал меня ночью зубной пастой."
    show sl_demo normal swim with dspr
    "Славя смотрела на меня с участием."
    "Если бы она всегда смотрела так на меня, я бы, пожалуй, согласился на ежедневные пытки пастой…"
    sl "Сильно жгло?"
    sl "Нужно сходить к медсестре. Она даст какую-нибудь мазь, чтобы быстрее прошло."
    "Она уже повернулась, чтобы идти, а я замер с незаконченной фразой на губах…"
    th "Не надо! Ничего страшного. Давай загорать!"
    "На спине у Слави кремом против загара кто-то написал крупными буквами «…»!"
    me "Ммм…"
    sl "Что?"
    me "Не надо в медпункт…"
    "Я осторожно подбирал слова."
    me "А ты здесь давно загораешь?"
    sl "С утра. А что?"
    "Как бы это потактичнее сказать…"
    menu:
        "У тебя на спине написано слово «…»":
            show sl_demo angry swim with dspr
            sl "ЧТО?!"
            "Славя начала крутиться, пытаясь через плечо посмотреть на спину."
            "Выглядело это так забавно, что я хихикнул."
            sl "Очень смешно!"
            "Обиделась…"
            show sl_demo normal swim with dspr
            me "Тебе помочь?"
            me "Нужно намазать это место кремом, чтобы загар лёг."
            me "И он всё скроет."
            th "Удача! Кажется, сейчас я буду мазать Славю кремом!"
            show sl_demo angry swim with dspr
            sl "Нет, спасибо."
            "Она уже одевалась."
            me "Крем всё скроет…"
            "Я ещё верил, что у меня есть шанс!"
            sl "Не надо."
            hide sl_demo with dissolve
            "Но Славя уже оделась и пошла к домикам."
            "Да уж! И улик не собрал, и Славю обидел."
            "Ульянка, ты поплатишься за это!"
        "Да ничего. Кажется, у тебя спина начала… обгорать":
            sl "Да? Спасибо."
            sl "А я и не заметила. "
            sl "Мы с самого утра здесь."
            hide sl_demo with dissolve
            "Славя начала одеваться."
            me "Мы?"
            show sl_demo normal pioneer with dissolve
            sl "Угу. Сначала вместе с Ульянкой загорали."
            sl "А потом она ушла."
            "Славя оделась и пошла к домикам."
            "А потом обернулась."
            sl "Тебя точно не надо в медпункт провожать?"
            me "Нет. Спасибо!"
            hide sl_demo with dissolve
            "Это всё из-за Ульянки!"
            "Неужели нужны ещё доказательства, что это она?!"
    window hide
    stop music fadeout 1
    stop ambience fadeout 1
    play music music_list["just_think"]
    $ abcb_day_5_necessary_done += 1
    jump abcb_day_5_map

label abcb_day_5_event_me_mt_house:
    scene bg int_house_of_mt_day with fade2
    play ambience ambience_int_cabin_day fadein 1
    window show
    "Улик не прибавилось."
    "Нужно поискать где-нибудь ещё."
    window hide
    stop ambience fadeout 1
    $ disable_current_zone()
    jump abcb_day_5_map

label abcb_day_5_event_library:
    scene bg ext_library_day with fade
    play ambience ambience_camp_center_day fadein 1
    window show

    if been_there()>1:
        "Не хочу мешать Лене. Пора найти Ульянку, пока у меня ещё осталось желание мстить!"
        window hide
        stop ambience fadeout 1
        jump abcb_day_5_map

    "Нужно расспросить Женю о её очках."
    "Хм… Вряд ли она что-нибудь видела…"
    "Но вдруг знает что-то."
    window hide
    stop music fadeout 1
    stop ambience fadeout 1

    play music music_list["timid_girl"]
    play sound sfx_open_door_2

    scene bg int_library_day
    show un_demo normal book_1 far
    with fade
    play ambience ambience_library_day fadein 1
    window show
    "Лена! Как же я мог забыть о ней?!"
    "Ведь если этот бедлам на самом деле устроила Ульянка, то ей должно было достаться больше всех."
    "А она здесь спокойно читает…"
    me "Привет."
    show un_demo shy book_2 with dspr
    "Смутилась."
    "Даже от простого приветствия."
    "Вот так всегда…"
    un "Привет."
    me "Ммм…"
    "Глядя в её вечно испуганные глаза, я подавил уже готовый сорваться вопрос: «Тебя сегодня никто не обижал?»"
    me "Ты сегодня ничего… странного не видела?"
    un "Нет."
    show un_demo surprise book_2 with dspr
    "И побледнела."
    "Испугалась."
    un "А что, должно было произойти что-то странное?"
    me "Нет! Конечно, нет!"
    show un_demo normal book_1 with dspr
    "Мне снова захотелось её утешить."
    "Как всегда, когда я видел Лену."
    me "Всё нормально!"
    me "Это я так…"
    "И, чтобы сменить разговор:"
    me "Ты не видела Женю?"
    un "Она ушла к себе в домик."
    un "Меня попросила присмотреть за библиотекой, а сама ушла."
    "Лена выглядела так, словно извинялась за Женю."
    "А потом, вспомнив, добавила:"
    un "Кажется, что-то случилось с её очками."
    "Нет уж! Лучше не рассказывать Лене, что происходит сегодня в лагере!"
    me "О!"
    "Нужно постараться разговаривать как можно более непринуждённо."
    "Я так скоро актёром стану!"
    me "Видимо, она их забыла."
    me "Ну, ладно. Ты читаешь…"
    me "Не хочу тебя отвлекать."
    show un_demo shy book_1 with dspr
    "Лена всё так же робко смотрела на меня."
    "Хотелось всё бросить, все свои поиски, и просто обнять её."
    "Но вместо этого я сказал:"
    show un_demo normal book_1 with dspr
    me "Мне надо идти. Увидимся."
    window hide
    hide un_demo with dissolve
    stop music fadeout 1
    stop ambience fadeout 1
    $ renpy.pause (1)
    play music music_list["just_think"] fadein 1

    $ abcb_day_5_necessary_done += 1
    jump abcb_day_5_map

label abcb_day_5_event_medic_house:
    scene bg ext_aidpost_day with fade
    play ambience ambience_camp_center_day fadein 1
    window show

    if been_there()>1:
        play sound sfx_campus_door_rattle
        "Закрыто. Похоже, изнутри. А жаль…"
        window hide
        stop ambience fadeout 1
        jump abcb_day_5_map
    th "Хм… Не сомневаюсь, что у Виолы всё в порядке."
    th "Но, может быть, она что-нибудь видела?"
    "Я тихонько постучал в дверь."
    play sound sfx_knock_door3_dull
    "Ответа не было."
    "Тогда я толкнул дверь и вошёл."
    window hide
    stop ambience fadeout 1
    stop music fadeout 2
    play sound sfx_door_squeak_light

    scene bg int_aidpost_day with fade
    play ambience ambience_medstation_inside_day fadein 1
    play music music_list["eternal_longing"]
    #TODO: *CG К-сенсей. Вид сзади.
    window show
    "Виола стояла спиной ко мне."
    "Стояла, наклонившись над столом, и что-то задумчиво писала."
    "Она не слышала, как я вошёл."
    "А я стоял, не дыша… {w}Потому, что она танцевала."
    "И это было завораживающе."
    "Она покачивала в такт только ей слышимой музыке своими крутыми бёдрами, обтянутыми белыми полупрозрачными чулками, и поводила плечами. {w}Плавно. Очень плавно."
    window hide

    scene cg d5_cs with dissolve2
    window show
    "Она вся изогнулась над столом, и её белый медицинский халат открывал моим глазам незабываемое зрелище."
    "Длинные ноги в чёрных туфлях, подвязки от чулок…"
    "Разрез на халатике поднимался, когда К-сенсей двигалась, почти до самой…"
    "У меня закончился воздух."
    window hide
    stop ambience fadeout 1
    stop music fadeout 3

    scene bg ext_aidpost_day with fade
    play ambience ambience_camp_center_day fadein 1
    play sound sfx_close_door_clubs_nextroom
    window show
    "Я вышел и вздохнул."
    me "Какая красивая ж…{w=.15}енщина!"
    window hide
    stop ambience fadeout 1
    play music music_list["just_think"] fadein 1
    jump abcb_day_5_map

label abcb_day_5_event_estrade:
    scene bg ext_stage_big_day with fade
    play ambience ambience_camp_center_day fadein 1
    window show
    "Оказывается, детективом быть не так просто!"
    "Приходится много ходить."
    "Ходить и ходить!"
    "Ходить…"
    "Как же я устал от этого!"
    window hide
    stop ambience fadeout 1
    $ disable_current_zone()
    jump abcb_day_5_map

label abcb_day_5_event_square:
    scene bg ext_square_day with fade
    play ambience ambience_camp_center_day fadein 1
    window show
    $ random = renpy.random.choice([1,2])
    if random == 1:
        "Если бы я был Ульянкой, я бы не стал прятаться на площади."
        "Определённо."
    else:
        "Даже я не стал бы прятаться посреди огромной площади."
    window hide
    stop ambience fadeout 1
    jump abcb_day_5_map

label abcb_day_5_event_boat_station:
    scene bg ext_boathouse_day with fade
    play ambience ambience_boat_station_day fadein 1
    window show
    "Всё на месте. Удивительно!"
    window hide
    stop ambience fadeout 1
    jump abcb_day_5_map

label abcb_day_5_dinner:
    $ abcb_chapter(5, u"Обед")
    stop music fadeout 3

    #ORIGINAL SCENARIO NOTES:
    #"Чтобы получить обед, нужно поговорить с тремя девушками: Унылка в библиотеке, Славя на пляже, Дваче в домиках2."
    #"До тех пор, пока их не обошли — бродим по лагерю в поисках зацепок."
    #"Когда закончился третий из обязательных разговор (независимо от того, какой из них был последним) — вместо события КАРТА слышим звуковой сигнал, сообщающий о том, что пришло время обеда. Дажее небольшой текст."

    scene bg ext_square_day with fade
    play ambience ambience_camp_center_day fadein 2
    play sound sfx_dinner_horn_processed
    window show
    "Время обеда. Но ничего, улики у меня есть."
    play music music_list["sweet_darkness"] fadein 2
    "Раскроем это дело, когда поедим!"
    window hide
    stop ambience fadeout 1

    scene bg int_dining_hall_people_day with fade2
    play ambience ambience_dining_hall_full fadein 2
    window show
    "Обед проходил спокойно, но в напряжённой атмосфере."
    "Мы с Дваче пристально, каждый со своего места, наблюдали за входом."
    "Ульянки не было."
    "Я уже в сотый раз отказывался от идеи сделать из Лены приманку…"
    show us_demo laugh all sport with dissolve
    "И тут она появилась… {w}Наглая и довольная."

    "Пока всё."
    window hide
    stop music fadeout 1
    stop ambience fadeout 1

    #It's otsebyatina time!
    play music music_list["lightness"] fadein 2
    $ prolog_time()
    scene anim prolog_2 with fade2
    $ renpy.pause (2)
    $ set_mode_nvl()
    window show
    "К сожалению, дальше данный сценарий заканчивается. Но ничего, модами допилят."
    "Спасибо всем, кто так или иначе помогал его доделывать!"
    "Возможно, кого-нибудь заинтересовал этот мод, и он захочет развивать идею, вооружившись старым дизайн-документом. Оригинальные комментарии сценариста насчёт сюжета сохранены, а заглушки подготовлены для будущего использования."
    "\nА теперь подведём итоги."
    "\nБаллов с девочками набрано:"
    sl "%(abcb_sl_lp)d"
    un "%(abcb_un_lp)d"
    us "%(abcb_us_lp)d"
    dv "%(abcb_dv_lp)d"
    "\n Конец."
    window hide
    $ set_mode_adv()
    stop music fadeout 3

    scene black with fade
    $ renpy.pause(1)

    return

    #ORIGINAL SCENARIO NOTE:
    #"После обеда карта уже не понадобится. Будет пляжный ивент, переходящий в ужин и сон"
    #jump abcb_day_6_start