﻿# День 3.
# День Голода и Танцев.
init:
    $ abcb_day_3_badmorning = 0
    $ abcb_day_3_notwork = 0
    $ abcb_day_3_wash = 0
    $ abcb_work3 = 0
    $ abcb_d3_un_lp = 0
    $ abcb_d3_dv_lp = 0
    $ abcb_d3_us_lp = 0
    $ abcb_mt_p = 0
    $ abcb_d3_sl_lp = 0
    $ abcb_d3_track = ''

#Утро
label abcb_day_3_start:
    $ abcb_chapter(3, u"Утро")
    $ persistent.sprite_time = "day"
    $ day_time()

    play music music_list["no_tresspassing"]
    $ prolog_time()
    scene bg black
    show prologue_dream
    with fade
    window show
    "Как темно!"
    window hide

    scene cg d3_fag_room
    show prologue_dream
    with fade2
    window show
    me "Где я?"
    me "Что это? Это… {w}моя комната?"
    window hide

    scene cg d3_fag_room:
        xalign 0.5 yalign 0.5 zoom 1.0
        linear 2.0 zoom 1.5 xalign 0.5 yalign 0.35
    show prologue_dream
    window show
    me "А это… {w}я?!"
    me "Нет!!!"
    "Я не хочу им быть!"
    "И не могу, никак не могу!"
    me "Это не я!!!"
    "Я хотел кричать, но в лёгких словно не было воздуха."
    window hide

    scene cg d3_fag_room:
        zoom 1.5 xalign 0.5 yalign 0.35
        linear 3.0 zoom 3.0 xalign 0.4 yalign 0.15
    show prologue_dream
    window show
    me "Что вообще происходит?!"
    play sound sfx_knocking_door_outside
    voice "В{w=.1}а{w=.1}ш{w=.1}а{w=.1} п{w=.1}и{w=.1}ц{w=.1}ц{w=.1}а."
    window hide
    stop music fadeout 3

    scene bg black with fade
    $ day_time()
    $ renpy.pause (1)

    scene bg int_house_of_mt_day
    play ambience ambience_int_cabin_day fadein 1
    with flash
    play sound sfx_stomach_growl
    window show
    me "Ох!"
    "Наверное, я единственный человек, который проснулся от звуков собственного желудка."
    play music music_list["my_daily_life"]
    "Я оглядел комнату."
    "Судя по тому, что Ольги Дмитриевны нигде не было видно, а солнце уже светило вовсю…"
    me "Чёрт! Я же проспал!"
    "Эта мысль заставила меня бодро вскочить с кровати и…"
    "Можно было не смотреть на часы, но я всё-таки глянул."
    window hide

    scene cg d3_clock_11-42 with dissolve2
    window show
    "11:42"
    me "Ммм…"
    "Да… Видимо, на меня так подействовал свежий воздух."
    "К тому же, со мной за вчерашний день случилось столько, сколько не было и за неделю моей прошлой жизни…"
    window hide

    scene bg int_house_of_mt_day with dissolve2
    window show
    me "Ммм…"
    "Я ещё раз глубокомысленно помычал."
    "Да кого я обманываю? Я просто проснулся, как обычно."
    "Я начал одеваться."
    th "От Ольги Дмитриевны сегодня достанется…"
    "Она такое не простит — проспать утреннее построение, зарядку и завтрак…"
    play sound sfx_stomach_growl
    me "ЗАВТРАК!"
    "Точно! Я же проснулся от голода."
    "Я вспомнил сон."
    th "{b}Пицца.{\b}"
    "Рот заполнился слюной."
    "Я чувствовал себя, как Гомер…"
    "И вовсе не тот слепой грек."
    th "{b}Грек… {w}Гречка… {w}Еда!{\b}"
    "Определённо, мой голодный желудок сейчас контролировал все мои мысли!"
    "Но во сне было ещё что-то."
    "Что-то тревожное и гнетущее."
    "После этого сна на меня словно легла большая холодная тень."
    th "Моя прошлая жизнь?!"
    "Была ли это она? Я не мог точно сказать."
    "Я помнил этот свет. Свет монитора в ночи. Я помнил звук клавиш, когда…"
    "Но… неужели это я был в той комнате?"
    "Сон уже не был чётким. Он терялся, растворяясь в этом беззаботном утре."
    "Я попытался вспомнить."
    "Во чтобы то ни стало мне нужно разобраться, что происходит!"
    "Стиснув зубы, я яростно замотал головой."
    with hpunch
    me "Чёрт!"
    play sound sfx_stomach_growl
    "И только ещё сильнее ощутил, что голоден."
    "Мне срочно нужно было что-то съесть, потому что голод мешал мне сосредоточиться и вспомнить."
    "Вспомнить что-то важное."
    play sound sfx_stomach_growl
    me "Есть хочу!"
    "Я уже собирался выйти, но увидел торчащий из тумбочки пакет для умывания."
    "Хм… Умыться или нет?"
    stop ambience fadeout 4
    menu:
        "Умыться":
            "Есть хотелось невероятно. Но ведь я вчера начал новую жизнь. Умываться по утрам…"
            me "Точно! Сначала нужно умыться."
            "Думать о том, что я проснулся в 11 и проспал зарядку, не хотелось, поэтому я схватил пакет и вышел из домика."
        "И так сойдёт!":
            "Поиски еды сейчас были гораздо важнее."
            "В конце концов, умыться я и потом смогу."
            "Поэтому я задвинул пакет подальше в тумбочку и вышел из домика."
            window hide
            $ abcb_day_3_badmorning = 1
            jump abcb_day_3_map_prepare
    window hide

    scene bg ext_house_of_mt_day with dissolve
    play ambience ambience_camp_center_day fadein 1
    window show
    "Утро, в противовес моим мыслям, было безоблачное и яркое."
    th "Утро? Какое же это утро, если я проспал полдня!"
    "И вправду, солнце уже вовсю слепило глаза, пробираясь лучами сквозь листья деревьев, которые легонько колыхал ветер."
    "Я снял обувь."
    "Было так приятно идти босиком по дорожке, заросшей кое-где зелёной травой!"
    "Я даже понемногу начал забывать, что хотел."
    "И только ноющий желудок беспрестанно напоминал, как в мультике: «Есть хочу. Есть давай»."
    window hide

    scene bg ext_washstand_day with dissolve
    window show
    "У умывальника никого не было. {w}Ещё бы — уже полдень!"
    play sound sfx_open_water_sink
    play sound_loop sfx_water_sink_stream fadein 1
    "Я открыл кран, с ужасом приготовившись вновь сразиться с холодной ключевой водой…"
    me "Ааа!"
    "И был даже немного разочарован."
    "Вода оказалась тёплой. Видимо, нагрелась на солнце, ещё пока я валялся в постели."
    "Я умыл лицо и, выдавив на щётку немного пасты, принялся чистить зубы."
    "Сейчас умывание никак не напоминало вчерашнее испытание на стойкость."
    $ meet ('dv','Голос')
    dv "А! Вот ты где!"
    "Я, всё ещё держа щётку во рту, испуганно обернулся."
    th "Только не Ольга Дмитриевна!"
    show dv_demo smile pioneer with dissolve
    $ meet ('dv','Алиса')
    dv "Ты ещё только умываешься?"
    "Алиса!"
    "Я невольно сглотнул пасту."
    th "Ф{w=.1}у{w=.1}у{w=.1}у{w=.05}у{w=.05}у{w=.05}у{w=.01}у{w=.01}у{w=.01}у{w=.005}у{w=.005}у{w=.005}у{w=.005}у{w=.0001}у{w=.0001}у{w=.0001}у!"
    dv "Ну ты даёшь — столько спать."
    th "Лучше бы это была Ольга Дмитриевна…"
    "Я сплюнул и пробурчал в ответ:"
    me "Я давно проснулся, просто занят был."
    dv "Ну-ну."
    "Обмануть Алису не так-то просто…"
    stop sound_loop fadeout 1
    play sound sfx_close_water_sink
    "Всё, с умыванием покончено."
    "Я собрал в пакет мыло, зубную пасту, щётку…"
    th "Вроде бы, всё."
    "И зашагал к домикам."
    "И пусть думает, что хочет!"
    dv "Вот Шляпе это и объяснишь."
    th "Шляпе?!"
    dv "Ольга Дмитриевна как раз пошла в ваш домик проверить, что ты делаешь."
    "Я остановился и брякнул, не сдержавшись:"
    me "Вот чёрт!"
    "И оглянулся посмотреть, не выдал ли себя…"
    show dv_demo normal pioneer with dspr
    dv "Иди-иди!"
    show dv_demo smile pioneer with dspr
    "Алиса расхохоталась."
    th "Заметила!"
    dv "Расскажешь ей, чем занят был всё утро."
    show dv_demo normal pioneer with dspr
    dv "Так занят, что даже завтрак проспал."
    play sound sfx_stomach_growl
    "При упоминании завтрака у меня снова свело желудок."
    show dv_demo smile pioneer with dspr
    "Алиса опять засмеялась и начала проникновенным голосом:"
    dv "А на завтрак манную кашу с вареньем давали…"
    "Я застонал."
    dv "Вишнёвым!"
    "От этого ядовитого голоса, который только притворялся нежным, желудок словно рванулся прочь из тела!"
    th "Как же я мог так явно выдать себя?!"
    "Я быстрым шагом шёл по дорожке, стараясь ничего не слышать, и думал, что делать дальше."
    "А Алиса в спину мне кричала:"
    dv "И кисель! С булкой!"
    $ abcb_day_3_wash = 1
    $ abcb_d3_dv_lp += 1
    hide dv_demo with dissolve
    stop music fadeout 3
    "Ничего! Я проиграл битву, но сражение ещё будет за мной!"
    "Мне срочно нужно что-нибудь съесть!!!"
    window hide
    stop ambience fadeout 3
    jump abcb_day_3_map_prepare

#Утренние блуждания по карте
label abcb_day_3_map_prepare:
    $ disable_all_zones()
    $ abcb_chapter(3, u"В поисках еды")
    play music music_list["everyday_theme"]

    $ set_zone("music_club",   "abcb_day_3_event_music_club")
    $ set_zone("clubs",        "abcb_day_3_event_clubs")
    $ set_zone("camp_entrance","abcb_day_3_event_camp_entrance")
    $ set_zone("dv_us_house",  "abcb_day_3_event_dv_us_house")
    $ set_zone("dining_hall",  "abcb_day_3_event_dining_hall")
    $ set_zone("sport_area",   "abcb_day_3_event_sport_area")
    $ set_zone("beach",        "abcb_day_3_event_beach")
    $ set_zone("me_mt_house",  "abcb_day_3_event_me_mt_house")
    $ set_zone("library",      "abcb_day_3_event_library")
    $ set_zone("medic_house",  "abcb_day_3_event_medic_house")
    $ set_zone("estrade",      "abcb_day_3_event_estrade")
    $ set_zone("square",       "abcb_day_3_event_square")
    $ set_zone("boat_station", "abcb_day_3_event_boat_station")

    jump abcb_day_3_map

label abcb_day_3_map:
    $ show_map()

#Муз. клуб
label abcb_day_3_event_music_club:
    scene bg ext_square_day with fade
    play ambience ambience_camp_center_day fadein 1
    window show
    "Я шёл к музыкальному клубу, надеясь на то, что Мику накормит меня…"
    window hide
    jump abcb_bad_mt_event

#Клуб
label abcb_day_3_event_clubs:
    scene bg ext_square_day with fade
    play ambience ambience_camp_center_day fadein 1
    window show
    "Ребята из клуба юных кибернетиков, или как он там называется — вот кто должен был мне помочь!"
    window hide
    jump abcb_bad_mt_event

#Ворота лагеря
label abcb_day_3_event_camp_entrance:
    scene bg ext_square_day with fade
    play ambience ambience_camp_center_day fadein 1
    window show
    "Я шёл к воротам, пытаясь понять, зачем я туда иду…"
    "Я что, хочу убежать из лагеря?!"
    window hide
    jump abcb_bad_mt_event

#Домики 2 (западные)
label abcb_day_3_event_dv_us_house:
    scene bg ext_square_day
    play ambience ambience_camp_center_day fadein 1
    window show
    "Я шёл к домикам в надежде, что… {w}хоть кто-нибудь накормит меня!"
    "Пусть там и живут Алиса с Ульяной, но есть ведь и другие пионеры!"
    "А завет пионера — помогать нуждающимся!"
    window hide
    jump abcb_bad_mt_event

#Столовая
label abcb_day_3_event_dining_hall:
    scene bg map with dissolve
    window show
    "Искать еду в столовой — не самая лучшая мысль. {w}Звучит, как издёвка!"
    "Повариха почему-то невзлюбила меня с первого дня."
    "Так что до обеда… {w}{b}дожить бы до него!{/b} {w}там делать абсолютно нечего."
    window hide
    $ disable_current_zone()
    jump abcb_day_3_map

#Спорт. площадки
label abcb_day_3_event_sport_area:
    scene bg map with dissolve
    window show
    "Я так ослаб от голода, что даже думать не мог о спортивных площадках."
    "Заниматься спортом? Что за ерунда? Сейчас нужно заниматься поиском пищи!"
    window hide
    $ disable_current_zone()
    jump abcb_day_3_map

#Пляж
label abcb_day_3_event_beach:
    scene bg ext_square_day with fade
    play ambience ambience_camp_center_day fadein 1
    window show
    "Я шёл на пляж со слабой надеждой встретить там кого-нибудь… {w}кто накормит меня."
    window hide
    jump abcb_bad_mt_event

#Домики (северные)
label abcb_day_3_event_me_mt_house:
    scene bg map with dissolve
    window show
    if abcb_day_3_badmorning == 1:
        "В домике нет еды. Это я проверил в первую очередь."
        window hide
        $ disable_current_zone()
        jump abcb_day_3_map
    else:
        pass
    "Алисе незачем было врать, так что в одном я мог быть уверен…"
    "Ольга Дмитриевна как раз сейчас пошла проверить, что я делаю."
    "Добровольно идти на казнь? {w}Мне?!"
    "Да ни за что на свете!"
    "Конечно, скрываться всё время не получится. И за обедом наказания не избежать…"
    "Но думать об этом сейчас не хотелось!"
    "И вообще ни о чём, кроме еды, думать не хотелось."
    "Да и до обеда нужно ещё как-то дожить."
    window hide
    $ disable_current_zone()
    jump abcb_day_3_map

#Библиотека
label abcb_day_3_event_library:
    scene bg ext_library_day with fade
    play ambience ambience_camp_center_day fadein 1
    window show
    if abcb_day_3_badmorning == 1:
        "Я так увлёкся собственными мыслями, что не сразу увидел стоящую возле библиотеки Ольгу Дмитриевну."
        "Я развернулся и как можно тише пошёл обратно."
        th "Хоть бы не заметила! Хоть бы…"
        show mt_demo angry pioneer with dissolve
        mt "Ага! Кого я вижу!"
        th "Ох, за что мне это?!"
        mt "Иди-ка за мной."
        "И потащила меня за руку в сторону площади. Встречные пионеры сочуствующе глазели на меня, но мне было уже всё равно. Я еле-еле передвигал ноги."
        "Будь что будет!"
        window hide
        jump abcb_bad_mt_event
    else:
        pass
    "Я вышел к библиотеке, не совсем понимая, что здесь делаю."
    "Духовная пища — это, конечно, здорово, но вместо гранита науки я бы сейчас с гораздо большим аппетитом погрыз что-нибудь питательное."
    "Сухарик, например."
    th "Может, Женя угостит чем-нибудь?"
    "Судя по всему, она проводит за книгами всё свободное время. И не сидеть же ей целый день голодной?"
    "Я мог бы помочь ей разобраться с книгами, а она… {w}подарит мне за это бутерброд."
    th "С колбасой и сыром… {w}только что из микроволновки… {w}сыр растаял и потёк на тарелку… {w}и сверху мелко порезанная зелень!"
    "Проклиная свою невовремя разыгравшуюся фантазию, я потянулся, чтобы открыть дверь. {w}Но в последний момент застыл в нерешительности."
    "Видение постного лица библиотекарши пошатнуло мою и без того небольшую уверенность в том, что я найду здесь еду."
    "Может, стоит просто пойти к Ольге Дмитриевне и признаться, что проспал? Ну, поругает, но голодным ведь не оставит?"
    play sound sfx_open_door_kick
    with vpunch
    "В это время кто-то менее склонный к раздумиям открыл дверь и пребольно ударил ей меня в лоб."
    me "Аааа!"
    th "Да что за день такой?!"
    play sound sfx_bodyfall_1
    show blink
    with vpunch
    "Удар был неожиданным и я, невольно потеряв равновесие, плюхнулся на землю, выпустив из рук пакет с умывальными принадлежностями."
    $ meet('sl','Голос')
    sl "Ой! Прости, я тебя ударила!"
    "Я уже собирался высказать всё, что думаю о Жене по поводу такого очевидного высказывания…"
    show unblink
    hide blink
    th "Интересно, как ты догадалась?! Уж не огромная ли шишка на моём лбу тебе подсказала?!"
    hide unblink with dissolve
    show sl_demo normal pioneer with dissolve
    "Но это оказалась Славя, и она была такой расстроенной…"
    "Так что я, подавив первое стремление грубо выорать всё, что думаю, только и смог тихонько простонать с земли что-то похожее на «Уу-у-угу-уу»."
    "Я, всё ещё сидя на траве, потирал ушибленное место."
    $ meet ('sl','Славя')
    sl "Тебе очень больно?"
    "У Слави был такой вид, словно она сейчас заплачет."
    me "Э-э-э… Да ничего страшного!"
    "Я уже поднимался, стараясь не кряхтеть и пытаясь улыбнуться."
    "Судя по тому, что Славя ещё больше расстроилась, улыбка вышла кривоватой."
    "Я попытался срочно что-нибудь придумать… Видеть Славю плачущей — это было бы ужасно."
    me "Со мной всё в порядке! Ты мне н…"
    show mz_demo angry glasses pioneer at right with dissolve
    mz "Наставила тебе рога, да?"
    th "Женя вылезла на шум — посмотреть, что происходит."
    "Славя опустила голову, но я успел заметить, как она покраснела."
    "А во мне разом проснулась вся моя злость."
    me "Да ты…"
    "Я не находил слов."
    me "Я…"
    mz "Уже вижу. Чуть дверь лбом не сломал."
    show mz_demo bukal glasses pioneer at right with dspr
    "Скрипучий голос Жени выводил из себя ещё больше."
    mz "Вмятину какую сделал…"
    "И, не давая мне вставить ни слова, Женя ушла обратно в библиотеку."
    hide mz_demo with dissolve
    "От такой наглости я просто онемел."
    show sl_demo smile pioneer with dspr
    "Зато Славя рассмеялась, пусть и немного стеснённо. Мне ничего не осталось, как улыбнуться в ответ."
    me "Да уж — бедная дверь."
    th "Хоть Славя больше не плачет!"
    "Я принялся собирать в пакет разбросанные по траве мыло, щётку…"
    sl "А ты почему с пакетом?"
    "Славя протянула мне моё полотенце."
    me "Спасибо."
    sl "Ты только проснулся, да?"
    "Я вспомнил, как здесь оказался…"
    sl "И на завтрак не пришёл."
    "Я попытался повторить утреннюю ложь:"
    me "Ммм… Да я просто занят…"
    play sound sfx_stomach_growl
    extend "был."
    "Но мой желудок меня выдал."
    sl "Ой, ты, наверное, голодный с утра!"
    "Она посмотрела на свои миниатюрные часики…"
    th "В виде сердечка!"
    "Мне показалось, что я уже видел где-то такие часики. Но где? Я вспомнил, что мне ещё нужно было разобраться с утренним сном. И именно поэтому я хотел найти еду… {w=1}а ещё потому, что хотел есть."
    sl "А! Уже почти обед."
    sl "Потерпишь ещё немного?"
    "Славя снова участливо посмотрела мне в глаза."
    me "Ну… Конечно!"
    sl "Тогда тебе нужно занести пакет."
    sl "Пойдём, я провожу тебя до домика, а то вдруг я тебя сильно стукнула?"
    "Идти сейчас в свой домик?!"
    me "Там же Ол…"
    me "То есть… я хотел сказать, что пакет мне не мешает."
    me "Вдруг я ещё захочу умыться после обеда…"
    show sl_demo normal pioneer with dspr
    "Славя опустила глаза на свои туфельки, а потом подняла на меня и сказала застенчиво:"
    sl "Если хочешь, я скажу Ольге Дмитриевне, что ты мне утром помогал."
    "Что я мог на это ответить?"
    "Я только кивнул."
    me "Спасибо."
    "И мы вместе пошли к домикам."
    window hide

    scene bg ext_houses_day with dissolve
    window show
    "Идти с девочкой по залитому солнцем лагерю было приятно."
    "Мы шли молча, но это молчание не было вынужденным."
    "Кажется, Славе тоже было хорошо, а я даже забыл про голод… {w}почти."
    window hide

    scene bg ext_house_of_mt_day with dissolve
    window show
    "Но, подходя к своему домику, я ощутимо занервничал."
    "Всё-таки режим в лагере соблюдался беспрекословно, а я…"
    "Но ведь со мной была Славя!"
    "Я кое-как справился с сомнениями и толкнул дверь, чтобы лицом к лицу встретиться с Ольгой Дмитриевной. {w}Или чтобы спрятаться за спиной Слави."
    play sound sfx_campus_door_rattle
    "Дверь не шелохнулась."
    play sound sfx_keys_rattle
    $ renpy.pause (1)
    play sound sfx_lock_click
    "Тогда я достал ключ и, отперев её, боязливо заглянул внутрь."
    window hide
    stop ambience fadeout 1
    play sound sfx_open_dooor_campus_1

    scene bg int_house_of_mt_day with fade
    play ambience ambience_int_cabin_day fadein 1
    window show
    "Ольги Дмитриевны не было."
    th "Фууух!"
    "Я бросил пакет на кровать и развернулся к Славе."
    window hide
    stop ambience fadeout 1

    scene bg ext_house_of_mt_day with dissolve
    play ambience ambience_camp_center_day fadein 1
    show sl_demo normal pioneer with dissolve
    window show
    me "Похоже, Ольга Дмитриевна уже на обеде."
    sl "Да? Тогда я пойду, скажу ей, что утром попросила тебя помочь."
    sl "А ты подойдёшь попозже — сразу на обед. Хорошо?"
    "Я не знал, как отблагодарить Славю. Она спасала меня уже в который раз!"
    th "Может, пригласить её зайти?"
    menu:
        "Пригласить":
            me "Может, зайдёшь?"
            th "Она снова рассматривает свои туфли."
            "Эта идея уже не казалась мне такой удачной…"
            "Кажется, Славя даже покраснела."
            me "Вместе подождём обеда…"
            th "Чёрт! Я смутил её. Надо же быть таким кретином!"
            sl "Не… {w}сейчас."
            sl "Мне нужно ещё занести книгу в медпункт, меня доктор попросила."
            sl "Я как раз за ней в библиотеку и ходила. А потом ты… {w}появился."
            "Я потрогал шишку на лбу."
            me "Это точно."
            "Славя заметила, что я глажу лоб, и опять немного расстроилась."
            sl "Она на самом деле больше не болит?"
            "Шишка болела."
            me "Нет, уже всё прошло."
            me "Главное, чтобы с дверью ничего не случилось, а то заставят новую искать."
            show sl_demo smile pioneer with dspr
            "Славя улыбнулась."
            sl "Я так рада!"
            sl "Тогда увидимся за обедом, ладно?"
            hide sl_demo with dissolve
            "И пошла в сторону медпункта."
            $ abcb_d3_sl_lp -= 1
        "Лучше не надо":
            me "Спасибо!"
            show sl_demo smile pioneer with dspr
            "Славя улыбнулась."
            sl "Не за что."
            sl "Я рада тебе помочь."
            show sl_demo normal pioneer with dspr
            "И внезапно смутившись чего-то, забормотала:"
            sl "Мне ещё нужно занести книгу в медпункт, меня доктор попросила."
            sl "Я как раз за ней в библиотеку и ходила. А потом ты… {w}появился."
            "Я потрогал шишку на лбу."
            me "Это точно."
            "Славя заметила, что я глажу лоб, и опять немного расстроилась."
            sl "Она на самом деле больше не болит?"
            "Шишка болела."
            me "Нет, уже всё прошло."
            me "Главное, чтобы с дверью ничего не случилось, а то заставят новую искать."
            show sl_demo smile pioneer with dspr
            "Славя улыбнулась."
            sl "Я так рада!"
            sl "Тогда увидимся за обедом, ладно?"
            hide sl_demo with dissolve
            "И пошла в сторону медпункта."
            $ abcb_d3_sl_lp += 1
    window hide
    stop ambience fadeout 2

    scene bg int_house_of_mt_day with fade
    window show
    "А я зашёл в домик."
    "До обеда оставалось совсем немного времени."
    window hide
    jump abcb_day_3_dinner

#Медпункт
label abcb_day_3_event_medic_house:
    scene bg ext_aidpost_day with fade
    play ambience ambience_camp_center_day fadein 1
    window show
    if abcb_day_3_badmorning == 1:
        "Я так увлёкся собственными мыслями, что не сразу увидел стоящую возле библиотеки Ольгу Дмитриевну."
        "Я развернулся и как можно тише пошёл обратно."
        th "Хоть бы не заметила! Хоть бы…"
        show mt_demo angry pioneer with dissolve
        mt "Ага! Кого я вижу!"
        th "Ох, за что мне это?!"
        mt "Иди-ка за мной."
        "И потащила меня за руку в сторону площади. Встречные пионеры сочуствующе глазели на меня, но мне было уже всё равно. Я еле-еле передвигал ноги."
        "Будь что будет!"
        window hide
        jump abcb_bad_mt_event
    else:
        pass

    #ORIGINAL SCENARIO NOTES:
    #"Унылка принесла к К-сенсей совушку со сломанным крылом."
    #"Это Б1."
    #scene bg int_aidpost_day
    #show cs normal with dissolve
    #"К-сенсей тоже тут будет."
    #"После этого вместе пойдём на обед."

    "Странно, но медпункт был закрыт."
    window hide
    stop ambience fadeout 1
    $ abcb_d3_un_lp += 1
    jump abcb_day_3_dinner

#Эстрада
label abcb_day_3_event_estrade:
    scene bg ext_stage_big_day with fade
    play ambience ambience_camp_center_day
    window show
    if abcb_day_3_badmorning == 1:
        "Я так увлёкся собственными мыслями, что не сразу увидел стоящую возле библиотеки Ольгу Дмитриевну."
        "Я развернулся и как можно тише пошёл обратно."
        th "Хоть бы не заметила! Хоть бы…"
        show mt_demo angry pioneer with dissolve
        mt "Ага! Кого я вижу!"
        th "Ох, за что мне это?!"
        mt "Иди-ка за мной."
        "И потащила меня за руку в сторону площади. Встречные пионеры сочуствующе глазели на меня, но мне было уже всё равно. Я еле-еле передвигал ноги."
        "Будь что будет!"
        window hide
        jump abcb_bad_mt_event
    else:
        pass
    "Я вышел к эстраде… чтобы подумать, куда пойти дальше."
    "От быстрого шага я немного запыхался, а в голове ещё звучал голос Алисы: {b}«Вишнёвым!»{\b}"
    "В общем, было немного муторно."
    "Хотелось побыть одному, чтобы разобраться во всём и… принять единственно правильное решение — пойти и рассказать всё, как есть, Ольге Дмитриевне."
    "Затем я и пришёл сюда — побыть одному…"
    "И кому ещё в голову могло прийти… хм… прийти утром (пусть и в обед!) на эстраду?"
    "Конечно, Ульянке!"
    "Она сидела на скамейке спиной ко мне и лениво дрыгала ногой, сосредоточенно ковыряя сиденье карманным ножиком."
    "А ещё она изредка вгрызалась в большое красное яблоко."
    th "Яблоко!"
    "Ноги сами понесли меня вперёд."
    "Рот наполнился слюной."
    th "Яблоко!"
    "Я чувствовал себя словно… {w}медведь, идущий на запах мёда."
    "Когда я подошёл, Ульяна обернулась и, узнав меня, произнесла разочарованно:"
    show us_demo normal pioneer with dissolve
    us "А! Это опять ты?"
    "Она снова вгрызлась в яблоко и положила его рядом."
    "Оно было такое сочное!"
    me "Яб… {w}Я."
    me "Привет."
    us "Ску-{w=.1}у-{w=.1}у-{w=.1}у{w=.1}ч{w=.1}н{w=.1}о!"
    "Протянула Ульянка и, воткнув ножик в скамейку, принялась разглядывать меня."
    me "Да как-то не особенно."
    th "Мне бы твои проблемы."
    show us_demo grin pioneer with dspr
    "Внезапно она прищурилась и выпалила:"
    us "Давай заниматься взрослыми вещами!"
    "Я поперхнулся слюной."
    show us_demo laugh pioneer with dspr
    us "Ты сейчас такой смешной!"
    me "А можно яб… {w}Тьфу!"
    me "Какими взрослыми вещами?! Ты маленькая ещё!"
    show us_demo dontlike pioneer with dspr
    "Ульянка надула губки и живо подскочила с лавки."
    me "Аааа!"
    me "Пинаться-то зачем?!"
    "Громко сопя и печатая шаг, словно хотела продавить землю, Ульянка пошла к эстраде."
    show us_demo laugh2 pioneer with dspr
    "Но прежде, чем зайти за неё, она развернулась и состроила мне рожу, показывая ярко-красный язык."
    us "Дурак!"
    hide us_demo with dissolve
    me "Малявка!"
    play sound sfx_eat_apple
    "Ну и ладно! {w}Я схватил яблоко и впился в него зубами."
    th "Блаженство!"
    "Конечно, оно было обгрызено со всех сторон… но какое же оно было сочное и вкусное!"
    "Я сел на лавку, потирая ушибленное колено, и продолжил есть яблоко."
    "Внезапно откуда-то сверху раздался её голос."
    stop sound fadeout 1
    us "Эй! Это моё яблоко!"
    "Я посмотрел наверх…"
    th "Ульянка попала на небеса?"
    "И вскочил."
    me "Дура! Зачем ты туда забралась?!"
    "Она лежала на самом козырьке эстрады, свесив вниз руки и голову, и всё так же показывала мне язык."
    show us_demo grin pioneer with dissolve:
        xalign 0.5
        yanchor 0.116
        rotate 180
    us "Сам дурак! Ещё и яблоко моё съел!"
    me "Слезай оттуда немедленно!"
    show us_demo laugh pioneer with dspr:
        xalign 0.5
        yanchor 0.116
        rotate 180
    us "А то что?"
    "Ульянка сверху ехидничала и строила мне рожи, а я стоял, запрокинув голову, и смотрел на неё."
    "Ещё я думал, что делать. {w}Яблоко кончилось."
    menu:
        "Помочь Ульянке спуститься":
            "Нужно было заставить её слезть."
            th "Как она туда забралась?"
        "Пойти гулять дальше":
            "Я с сожалением отбросил веточку — всё, что осталось от яблока."
            "Кажется, есть захотелось ещё больше."
            "Ульянка всё так же показывала мне язык, вися на козырьке."
            "Нужно было как-то заставить её слезть, пока она не свалилась."
            hide us_demo with dissolve
            "Но…"
            "Какого чёрта?! Она уже взрослая — пусть делает, что хочет!"
            "Наверняка уже не в первый раз сюда залезает."
            "И вообще, это не моё дело."
            "Хочет сидеть на крыше — пусть сидит."
            "Я пошёл по дорожке."
            "Кто бы обо мне позаботился?"
            window hide
            $ abcb_day_3_badmorning = 1
            $ disable_current_zone()
            jump abcb_day_3_map
    "Я осмотрелся в поисках лестницы, но заметил кое-что получше…"
    th "Хе-хе!"
    "Обидевшись, Ульянка оставила в скамейке свой складной ножик. Он был маленьким и с белой рукояткой."
    "Нарочито мерзким голосом я произнёс:"
    me "Ммм… Какой красивый ножик!"
    show us_demo dontlike pioneer with dspr:
        xalign 0.5
        yanchor 0.116
        rotate 180
    "Ульянка затихла."
    th "Всё идёт, как надо!"
    "Стараясь не смотреть наверх, я пошёл обратно к скамейке."
    show us_demo sad pioneer with dspr:
        xalign 0.5
        yanchor 0.116
        rotate 180
    us "Эй! Не трогай!"
    "Голос Ульянки теперь был не таким уверенным, а я продолжал входить в роль."
    me "Мне нравится. Пожалуй, возьму его себе…"
    us "Не смей!"
    hide us_demo with dissolve
    th "Подействовало!"
    window hide

    scene bg ext_stage_normal_day with dissolve
    window show
    "Я подошёл к козырьку. Деревянный купол поскрипывал."
    th "Похоже, она собирается слезать!"
    "Я уже видел, как Ульяна аккуратно ставит ноги в щёлочки между досками и спускается вниз."
    "Внезапно одна её нога сорвалась и…"
    window hide

    scene cg d2_ussr_falling with dissolve
    window show
    us "А{w=.1}а{w=.1}а{w=.1}а{w=.1}а{w=.05}а{w=.05}а{w=.05}а{w=.05}а{w=.05}а{w=.05}а{w=.001}а{w=.001}а{w=.001}а{w=.001}а{w=.001}а{w=.001}а{w=.0005}а{w=.0005}а{w=.0005}а{w=.0005}а{w=.0005}а!"
    "Ульянка упала прямо на меня!"
    play sound sfx_uliana_jumps_down
    "Я только успел подставить руки, но она падала слишком быстро, и я, не удержав её, плюхнулся задом на траву."
    with vpunch
    play sound sfx_bodyfall_1
    me "Аааа! Чёрт!"
    window hide

    scene cg d3_us_library_3 with dissolve
    window show
    "Зад нестерпимо болел."
    me "Слезь с меня!"
    me "Т-ты… ты в порядке?"
    "Ульянка приподнялась и… {w}ткнула мне кулаком в бок!"
    me "Ох!"
    window hide

    scene bg ext_stage_normal_day
    show us_demo grin pioneer close
    with dissolve
    window show
    us "Отдавай мой нож!"
    me "Да не брал я его! Вон он — в лавке!"
    "Она, всё так же лёжа на мне, обернулась."
    "Я почувствовал под одеждой её маленькие, но отнюдь не детские выпуклости…"
    me "Слезай с меня! Не маленькая!"
    hide us_demo with dissolve
    "Ульянка поднялась и, беззаботно отряхнувшись, побежала к скамейке."
    "Она вытащила ножик, засунула его в карман и направилась дальше, в сторону столовой."
    show us_demo angry pioneer with dissolve
    us "То маленькая, то не маленькая! {w}Дурак!"
    hide us_demo with dissolve
    "А я всё ещё валялся на траве, пытаясь прийти в себя."
    th "Сколько ещё ударов… {w}судьбы {w}мне предстоит выдержать?!"
    window hide

    scene bg ext_stage_big_day
    with flash
    window show
    "Я ещё немного полежал и поднялся."
    "Теперь, когда я не был таким голодным, пора было встретиться с Ольгой Дмитриевной и честно признаться, что проспал."
    "Пытаясь одновременно погладить ушибленный бок, зад и колено, я побрёл к своему домику."
    window hide

    scene bg ext_house_of_mt_day with dissolve2
    window show
    "Дверь домика была заперта."
    th "Хоть бы Ольга Дмитриевна ушла куда-нибудь!"
    "Я отпер дверь и вошёл внутрь."
    window hide
    stop ambience fadeout 1

    scene bg int_house_of_mt_day with fade
    play sound sfx_open_dooor_campus_1
    play ambience ambience_int_cabin_day fadein 1
    window show
    "Никого не было."
    "Бросив на кровать пакет, который всё утро таскал с собой, я обессиленно рухнул рядом с ним."
    th "Что за день! И он только начинается…"
    "Кстати, который час?"
    window hide

    scene cg d3_clock_13-55 with dissolve2
    window show
    "13:55"
    th "Обед!!! Вот что мне сейчас необходимо!"
    window hide
    stop ambience fadeout 2

    scene bg ext_house_of_mt_day with fade
    play sound sfx_close_door_campus_1
    window show
    "С этой мыслью я вышел из домика… {w}пытаясь не думать о том, что на обеде меня обязательно встретит Ольга Дмитриевна."
    window hide
    $ abcb_d3_us_lp += 1
    jump abcb_day_3_dinner

#Площадь
label abcb_day_3_event_square:
    scene bg ext_square_day with fade
    window show
    "Я вышел на площадь, и тут…"
    window hide
    jump abcb_bad_mt_event

#Причал
label abcb_day_3_event_boat_station:
    scene bg ext_square_day with fade
    window show
    "Я шёл на причал… На самом деле, зачем я пошёл на причал?!"
    window hide
    jump abcb_bad_mt_event


label abcb_bad_mt_event:
    scene bg ext_square_day with fade
    stop ambience fadeout 1
    stop music fadeout 1
    play ambience ambience_camp_center_day fadein 1
    play music music_list["revenga"]
    if abcb_day_3_badmorning == 1:
        show mt_demo angry pioneer with dissolve
    else:
        $ meet ('mt','Голос')
        pass
    window show
    mt "Семён!"
    if abcb_day_3_badmorning == 1:
        pass
    else:
        "Какой… до боли знакомый голос!"
        $ abcb_day_3_badmorning = 1
        $ meet ('mt','Ольга Дмитриевна')
    show mt_demo rage pioneer with dissolve
    mt "А я как раз тебя ищу {w}по всему лагерю!"
    mt "Ты где всё утро был?"
    "И, не давая мне ничего объяснить, начала загибать пальцы:"
    mt "Построение пропустил."
    mt "На завтрак не пришёл."
    "На этой фразе мой желудок снова оживился."
    play sound sfx_stomach_growl
    "Тут она первый раз улыбнулась."
    show mt_demo smile pioneer with dissolve
    mt "Голодный до сих пор."
    th "Похоже, пальцы кончились."
    mt "Ну что? Проспал?"
    "Что я мог на это ответить?"
    menu:
        "Сказать правду":
            me "Угу."
            "Я виновато отвёл глаза."
            "Получилось не слишком натурально, но я хотя бы попытался!"
            show mt_demo normal pioneer with dspr
            mt "Уже взрослый, а ведёшь себя, как маленький!"
            mt "Стыдно должно быть!"
            mt "Не мне же тебя будить…"
            "Я представил, как меня будит Ольга Дмитриевна"
            me "Нет-нет, я сам буду вставать!"
            mt "У меня своих забот полно, я всё-таки вожатая."
            me "Угу."
        "Соврать":
            me "Да я занят был! Вот и не смог прийти…"
            "Она укоризненно посмотрела мне в глаза."
            show mt_demo normal pioneer with dspr
            mt "Пионер, а обманываешь старших… {w}да ещё так неумело!"
            "Интересно, ей больше не понравилось, что я вру или что я плохо вру?!"
            $ abcb_mt_p += 1
    window hide
    stop music fadeout 2

    scene bg ext_square_day
    with flash
    show mt_demo smile pioneer with dspr
    window show
    "Наконец Ольге Дмитриевне надоело меня отчитывать."
    play music music_list["went_fishing_caught_a_girl"] fadein 1
    mt "Ладно."
    mt "Ты же не ел ещё ничего."
    mt "Иди умывайся, а я тебе принесу бутерброд с кухни."
    mt "Жди меня в домике."
    "На моё робкое:"
    me "Я уже умывался…"
    "Она так на меня посмотрела, что я пожалел, что вообще сегодня проснулся."
    show mt_demo normal pioneer with dspr
    mt "Значит, умоешься ЕЩЁ раз!"
    "Придётся идти…"
    if abcb_day_3_wash == 1:
        "Ещё раз!"
    else:
        pass
    window hide

    scene bg ext_washstand_day with fade2
    window show
    "Возле умывальников играла малышня."
    "Они брызгали друг в друга фонтанчиками воды и весело визжали."
    "Но при моём появлении все бросились врассыпную."
    "Видимо, мой угрюмый вид их напугал."
    "Будешь тут жизнерадостным, когда все только и делают, что командуют!"
    play sound sfx_water_splash
    "Чёрт! Я наступил в лужу, оставленную детьми."
    "Что за день?!"
    "Наскоро умывшись тёплой, почти горячей водой, я ещё немного постоял, собираясь с мыслями, и зашагал к домику."
    window hide
    stop ambience fadeout 2

    scene bg int_house_of_mt_day with fade2
    play ambience ambience_int_cabin_day fadein 1
    show mt_demo smile pioneer with dissolve
    window show
    "Ольга Дмитриевна была уже внутри."
    "А на столе был… вожделенный бутерброд!"
    "Как же он благоухал! Вся комната была пропитана его запахом — и это было невыносимо!"
    show mt_demo calm pioneer with dspr
    mt "Ешь давай!"
    "Я не заставил её повторять дважды!"
    me "У-м-мм-м! Вкуснотища!"
    "И я не мог остановиться, пока не съел всё!"
    "Теперь же, когда с бутербродом было покончено, я заметил, что Ольга Дмитриевна принесла ещё и огромный пакет."
    "Ммм… Что там? {w}Салат? {w}Курочка?"
    "Увидев, как я жадно смотрю на пакет, Ольга Дмитриевна улыбнулась."
    show mt_demo smile pioneer with dspr
    mt "Да, это тоже тебе!"
    me "Здорово!"
    mt "Надо же тебя как-то наказать за то, что нарушаешь режим!"
    "…"
    "Она подошла к пакету и вывалила его содержимое на мою кровать."
    play sound sfx_paper_bag
    "Это были старые толстые журналы, сплошь в каких-то цифрах, графиках и таблицах. И всё это выцветшей синей пастой, да ещё и ужасным почерком."
    show mt_demo normal pioneer with dspr
    mt "Вот, принесла тебе работу."
    "Я сглотнул."
    mt "Это наши старые бухгалтерские книги, постарайся к обеду проверить… {w}половину."
    "Я посмотрел на сотню журналов."
    mt "Писать ничего не нужно — просто сверяй вот эти столбики. Они должны быть одинаковыми."
    hide mt_demo with dissolve
    "И вышла, оставив меня наедине с моим ужасом."
    "Кажется, я всё-таки не закричал, потому что Ольга Дмитриевна не зашла обратно."
    window hide

    scene black with fade
    play sound sfx_open_journal
    $ renpy.pause (1)

    scene bg int_house_of_mt_day with fade2
    $ renpy.pause (2)
    play sound sfx_dinner_horn_processed
    window show
    "Я бросил сумрачный взгляд на груду журналов."
    th "Остальное пусть доделывает сама!"
    "Я встал с постели."
    "Всё тело ломило от усталости. Но я был доволен!"
    "Два из пятидесяти. {w}Неплохо!"
    me "Пора обедать!"
    play sound sfx_paper_bag
    "И, собрав журналы в пакет, вышел из домика."
    window hide
    stop ambience fadeout 1
    stop music fadeout 1
    jump abcb_day_3_dinnerBad

#Обед
label abcb_day_3_dinner:
    $ abcb_chapter(3, u"Обед")
    play music music_list["everyday_theme"] fadein 1

    scene bg ext_dining_hall_away_day with fade2
    play ambience ambience_camp_center_day fadein 1
    window show
    "Обед! Наконец-то!"
    window hide

    scene bg ext_dining_hall_near_day with dissolve
    show mt_demo smile pioneer with dissolve
    window show
    "Однако радость моя несколько спала, потому что у столовой уже стояла Ольга Дмитриевна"
    "Настроение у неё было хорошее… {w}так что я приготовился к худшему."
    mt "А вот и наш нарушитель режима!"
    mt "Да ты подходи, не бойся."
    "Ну вот, сейчас начнётся…"
    mt "Славя сказала, что ты утром ей помогал, и поэтому не пришёл ни на зарядку, ни на построение…"
    "Пронесло!"
    "Славя! Вот кто постоянно меня выручает! Нужно её обязательно поблагодарить."
    "Я уже собирался войти внутрь, но Ольга Дмитриевна ждала, что я что-нибудь скажу."
    me "Угу. Я больше так не буду."
    me "В смысле, помогать буду, а не буду прос…"
    show mt_demo normal pioneer with dspr
    "Ольга Дмитриевна посмотрела на меня с сомнением."
    me "Ну, то есть…"
    "Немного растерявшись из-за своей нелепой оговорки, я уже приготовился юркнуть внутрь столовой, но тут…"
    show mt_demo normal pioneer at cleft
    show mz_demo normal glasses pioneer at cright
    with dissolve
    mz "Чем это ты ей помогал?"
    "Женя проходила мимо нас в столовую, и надо же было ей всунуться!"
    "Теперь она остановилась, явно собираясь посмотреть, как я буду выпутываться. Вот дрянь!"
    "Я лихорадочно пытался придумать, что бы мне соврать, но спасла меня как всегда Славя."
    show sl_demo normal pioneer at fleft with dissolve
    "Она как раз выходила из столовой и слышала последний вопрос."
    sl "Меня доктор попросила перенести вещи, а они тяжёлые — вот Семён и помог."
    show mz_demo bukal glasses pioneer at cright with dspr
    "Женя хотела сказать что-то ещё, но Ольга Дмитриевна её перебила:"
    mt "Всё, никаких больше разговоров!"
    mt "Обед уже заканчивается!"
    window hide
    stop ambience fadeout 1

    scene bg int_dining_hall_people_day with fade
    play ambience ambience_dining_hall_full fadein 1
    window show
    "И вправду, многие уже поели и выходили из столовой. Вот чёрт!"
    "Я в первый раз за день вздохнул с облегчением — наконец-то можно поесть по-человечески!"
    window hide

    scene bg int_dining_hall_day with dissolve2
    window show
    "Кажется, было очень вкусно. Я был так голоден, что проглотил всё, даже не заметив, что ем…"
    window hide
    stop ambience fadeout 1
    jump abcb_day_3_afterdinner

label abcb_day_3_dinnerBad:
    scene bg ext_dining_hall_away_day with fade2
    play ambience ambience_camp_center_day fadein 1
    play music music_list["everyday_theme"] fadein 1
    $ renpy.pause (2)

    scene bg ext_dining_hall_near_day with dissolve
    show mt_demo normal pioneer with dissolve
    window show
    "Ольга Дмитриевна, как всегда, стояла на входе."
    "Но, увидев, что я притащил журналы, она почему-то отвела глаза."
    show mt_demo angry pioneer with dspr
    mt "Зачем ты сюда эту дрянь притащил?"
    me "Вот! Всё сделал."
    "Она всё ещё отводила взгляд. Странно."
    show mt_demo calm pioneer with dspr
    mt "Вообще-то… {w}мы их сегодня списали."
    "Я ничего не понимал. Вернее, не хотел понимать."
    mt "Ладно, оставь пакет здесь, я позже его выброшу."
    "Наконец Ольга Дмитриевна посмотрела на меня."
    "Похоже, она поняла по моему лицу, что я немного расстроен, и сразу же с невесть откуда взявшимся радушием подтолкнула меня ко входу."
    show mt_demo smile pioneer with dspr
    mt "Ну что же ты стоишь? Иди обедать!"
    window hide
    hide mt_demo with dissolve
    stop ambience fadeout 1

    scene bg int_dining_hall_people_day with fade
    play ambience ambience_dining_hall_full fadein 1
    window show
    "Как прошёл обед, я плохо запомнил."
    window hide

    scene bg int_dining_hall_day with dissolve2
    window show
    "Кажется, было вкусно."
    window hide
    stop ambience fadeout 1
    jump abcb_day_3_afterdinner

label abcb_day_3_afterdinner:
    scene bg ext_dining_hall_near_day with fade2
    play ambience ambience_camp_center_day fadein 1
    show mt_demo smile pioneer with dissolve
    window show
    "На выходе из столовой меня остановила Ольга Дмитриевна."
    mt "Семён! Подожди."
    "Как всегда с улыбкой, не предвещавшей ничего хорошего…"
    mt "Раз ты такой хороший помощник…"
    window hide
    show blink
    $ renpy.pause (1)

    scene bg black
    window show
    "Я закрыл глаза."
    "Похоже, Ольга Дмитриевна это заметила, потому что потрепала меня по плечу."
    mt "Ну же! Не будь таким, как Шурик!"
    "Это меня мало задело, а она продолжала с ажиотажем."
    mt "Вечером у нас будут танцы…"
    mt "Нужно всего лишь перенести кое-какое оборудование."
    mt "Украсить площадь…"
    mt "Ну, и ещё по мелочи!"
    window hide

    scene bg ext_dining_hall_near_day
    show mt_demo smile pioneer
    show unblink
    window show
    "Я открыл глаза."
    hide unblink with dspr
    "Ольге Дмитриевне ещё хватало совести улыбаться."
    mt "В общем, иди сейчас на эстраду."
    mt "Там Славя тебе всё покажет и объяснит."
    hide mt_demo with dissolve
    "И ушла."
    "Из этого разговора я понял только одно: если Шурик не участвует в жизни этого безумного лагеря — я хочу быть таким, как он!"
    window hide
    stop music fadeout 1
    jump abcb_day_3_mapAf_prepare

#Гуляния по карте после обеда
label abcb_day_3_mapAf_prepare:
    $ disable_all_zones()
    $ abcb_chapter(3, u"Послеобеденные события")
    play music music_list["went_fishing_caught_a_girl"]

    $ set_zone("music_club",   "abcb_day_3_eventAf_music_club")
    $ set_zone("clubs",        "abcb_day_3_eventAf_clubs")
    $ set_zone("camp_entrance","abcb_day_3_eventAf_camp_entrance")
    $ set_zone("dv_us_house",  "abcb_day_3_eventAf_dv_us_house")
    $ set_zone("dining_hall",  "abcb_day_3_eventAf_dining_hall")
    $ set_zone("sport_area",   "abcb_day_3_eventAf_sport_area")
    $ set_zone("beach",        "abcb_day_3_eventAf_beach")
    $ set_zone("me_mt_house",  "abcb_day_3_eventAf_me_mt_house")
    $ set_zone("library",      "abcb_day_3_eventAf_library")
    $ set_zone("medic_house",  "abcb_day_3_eventAf_medic_house")
    $ set_zone("estrade",      "abcb_day_3_eventAf_estrade")
    $ set_zone("square",       "abcb_day_3_eventAf_square")
    $ set_zone("boat_station", "abcb_day_3_eventAf_boat_station")

    $ day_3_necessaryAf_done = 0
    jump abcb_day_3_mapAf

label abcb_day_3_mapAf:
    $ show_map()

#Муз. клуб
label abcb_day_3_eventAf_music_club:
    scene bg ext_musclub_day with fade
    play ambience ambience_camp_center_day fadein 1
    window show
    "Похоже, здесь что-то затевается…"
    window hide
    #ORIGINAL SCENARIO NOTES:
    #"Блок 2 с Дваче."
    #"Вместе с ней сбежим от работы."
    $ abcb_d3_dv_lp += 1
    stop ambience fadeout 1
    jump abcb_day_3_supper

#Клуб
label abcb_day_3_eventAf_clubs:
    scene bg ext_clubs_day with fade
    play ambience ambience_camp_center_day fadein 1
    window show
    "Здесь ничего нет…"
    window hide
    #ORIGINAL SCENARIO NOTES:
    #"Первый квест от Шурика и Сыроеги."
    $ disable_current_zone()
    stop ambience fadeout 1
    jump abcb_day_3_mapAf

#Ворота лагеря
label abcb_day_3_eventAf_camp_entrance:
    scene bg ext_camp_entrance_day with fade
    play ambience ambience_camp_entrance_day fadein 1
    window show
    "Пусто."
    window hide
    stop ambience fadeout 1
    $ disable_current_zone()
    jump abcb_day_3_mapAf

#Домики 2 (западные)
label abcb_day_3_eventAf_dv_us_house:
    scene bg ext_houses_day with fade
    play ambience ambience_camp_center_day fadein 1
    window show
    "Пусто."
    window hide
    stop ambience fadeout 1
    $ disable_current_zone()
    jump abcb_day_3_mapAf

#Столовая
label abcb_day_3_eventAf_dining_hall:
    scene bg map with dissolve
    window show
    "Спасибо, обеда мне вполне хватило."
    window hide
    $ disable_current_zone()
    jump abcb_day_3_mapAf

#Спорт. площадки
label abcb_day_3_eventAf_sport_area:
    scene bg ext_playground_day with fade
    play ambience ambience_camp_center_day fadein 1
    window show
    "Пусто."
    window hide
    stop ambience fadeout 1
    $ disable_current_zone()
    jump abcb_day_3_mapAf

#Пляж
label abcb_day_3_eventAf_beach:
    scene bg ext_beach_day with fade
    play ambience ambience_lake_shore_day fadein 1
    window show
    "Ольга Дмитриевна дала всем задания, а сама пошла загорать."
    "Как же иначе-то?"
    window hide
    stop ambience fadeout 1
    $ disable_current_zone()
    jump abcb_day_3_mapAf

#Домики (северные)
label abcb_day_3_eventAf_me_mt_house:
    scene bg map with dissolve
    window show
    "Не хочу спать."
    window hide
    $ disable_current_zone()
    jump abcb_day_3_mapAf

#Библиотека
label abcb_day_3_eventAf_library:
    scene bg ext_library_day with fade
    play ambience ambience_camp_center_day fadein 1
    window show
    "Здесь нет ничего интересного."
    window hide
    #ORIGINAL SCENARIO NOTES:
    #"Женя."
    #"Можно разузнать, кому из девочек какая музыка нравится."
    stop ambience fadeout 1
    $ disable_current_zone()
    jump abcb_day_3_mapAf

#Медпункт
label abcb_day_3_eventAf_medic_house:
    scene bg ext_aidpost_day with fade
    play ambience ambience_camp_center_day fadein 1
    play sound sfx_campus_door_rattle
    window show
    "Закрыто."
    window hide
    stop ambience fadeout 1
    $ disable_current_zone()
    jump abcb_day_3_mapAf

#Эстрада
label abcb_day_3_eventAf_estrade:
    scene bg ext_stage_big_day with fade
    play ambience ambience_camp_center_day fadein 1
    window show
    "Сегодня эстрада явно была не так пустынна, как обычно."
    show sl_demo normal pioneer at right
    show un_demo normal pioneer at left
    with dissolve
    "Возле сцены стояла Славя, и что-то оживлённо объясняла Лене."
    "Та лишь стеснённо кивала время от времени, словно показывая, что слушает внимательно, и порывалась убежать."
    "Я подождал, пока Славя договорит."
    hide un_demo with dissolve
    "Наконец инструктаж был закончен. Лена, счастливая оттого, что можно уйти, прошла мимо меня, а я подошёл к Славе."
    if abcb_day_3_badmorning == 0:
        menu:
            "Поблагодарить":
                show sl_demo normal pioneer at center with dissolve
                me "Спасибо, что выручила меня."
                me "Мне бы здорово досталось от Ольги Дмитриевны."
                "Я был слегка смущён."
                "Но, похоже, Славя была смущена ещё сильнее."
                sl "Да не за что."
                "И сразу же сменила тему."
                sl "А тебя помогать прислали?"
                me "Угу."
                $ abcb_d3_sl_lp += 1
            "Ничего не сказать":
                pass
    else:
        pass
    show sl_demo normal pioneer at center with dissolve
    me "Готов к труду и… {w}отдыху!"
    "Отчеканил я, а Славя рассмеялась."
    show sl_demo smile pioneer at center with dspr
    sl "После обеда всегда приятно немного поработать."
    show sl_demo normal pioneer with dspr
    me "Ну… если только немного."
    show sl_demo smile pioneer with dspr
    "Славя опять улыбнулась. А я ведь был так серьёзен!"
    sl "Работы немного, не переживай."
    sl "Нужно снять колонки со сцены и перенести их на площадь."
    show sl_demo normal pioneer with dspr
    "Славя немного замялась."
    sl "И ещё я послала Лену за пластинками в музыкальный клуб."
    me "Угу, я видел."
    sl "Лена такая рассеянная!"
    sl "Боюсь, что она опять всё перепутает."
    sl "Так что можешь выбирать: помочь Лене или остаться здесь."
    menu:
        "Помочь Лене":
            jump abcb_day_3_work1
        "Остаться со Славей":
            jump abcb_day_3_work2

label abcb_day_3_work1:
    $ abcb_day_3_notwork = 1
    me "Хорошо, я помогу Лене."
    me "А что нужно сделать?"
    sl "Она должна была попросить пластинки для вечерних танцев у Мику в музыкальном клубе."
    "Славя отвела глаза."
    sl "Я люблю медленную музыку."
    me "Значит, мне просто нужно догнать Лену и взять пластинки?"
    sl "Да."
    #TODO: сделать что-то с названиями песен.
    sl "Возьми, пожалуйста, «Waltz of Doubts» или «Forest Maiden»."
    me "Угу."
    "Странно, что она так стесняется своих пристрастий в музыке."
    window hide

    scene bg ext_musclub_day with dissolve2
    $ renpy.pause (1)
    show un_demo normal pioneer with dissolve
    window show
    "Я догнал Лену у самого клуба."
    me "Привет."
    me "Меня Славя послала, чтобы я помог с пластинками."
    "Лена ничего не сказала, только кивнула, и мы вошли внутрь."
    window hide
    stop ambience fadeout 1

    scene bg int_musclub_day with fade
    play sound sfx_open_door_clubs
    play ambience ambience_music_club_day fadein 1
    window show
    "Мику уже ждала нас."
    show mi_demo normal pioneer with dissolve
    mi "Вы за пластинками? Проходите."
    show mi_demo normal pioneer at right
    show un_demo normal pioneer at left
    with dissolve
    mi "Какие вам нужны?"
    mi "Вот. Можете послушать эти."
    show mi_demo smile pioneer at right with dissolve
    "И она протянула целую стопку."

label abcb_day_3_music:
    stop music fadeout 2
    menu:
        "Слушать «Waltz of Doubts»":
            play music music_list["waltz_of_doubts"]
            "Кажется, это любимая музыка Слави…"
            "Мы стояли с Леной и слушали музыку, а Мику глядела на нас и улыбалась."
            jump abcb_day_3_music
        "Слушать «Forest Maiden»":
            play music music_list["forest_maiden"]
            #"Это просто музыка. Она никому не даст плюсов!"
            "Мы стояли с Леной и слушали музыку, а Мику глядела на нас и улыбалась."
            jump abcb_day_3_music
        "Слушать «Let's Be Friends»":
            play music music_list["lets_be_friends"]
            show un_demo smile pioneer at left with dissolve
            "Услышав первые ноты, Лена встрепенулась."
            un "Ой, это моя любимая."
            show un_demo shy pioneer at left with dspr
            "И тут же испуганно замолчала."
            "Как будто превысила лимит слов на день…"
            "Мы стояли с Леной и слушали музыку, а Мику глядела на нас и улыбалась."
            show un_demo normal pioneer at left with dspr
            jump abcb_day_3_music
        "Выбрать музыку!":
            mi "Какую хотите взять?"
            jump abcb_day_3_music2

label abcb_day_3_music2:
    menu:
        "Выбрать «Waltz of Doubts»":
            $ abcb_d3_sl_lp += 1
            jump abcb_day_3_music_selected
        "Выбрать «Forest Maiden»":
            jump abcb_day_3_music_selected
        "Выбрать «Let's Be Friends»":
            $ abcb_d3_un_lp += 1
            jump abcb_day_3_music_selected
    jump abcb_day_3_music2

label abcb_day_3_music_selected:
    mi "Отличный выбор!"
    mi "Заходите ещё."
    "И мы с Леной пошли обратно на эстраду."
    window hide
    stop ambience fadeout 1
    jump abcb_day_3_work1a

label abcb_day_3_work1a:
    scene bg ext_stage_big_day with fade2
    play ambience ambience_camp_center_day fadein 2
    play music music_list["i_want_to_play"] fadein 2
    window show
    me "Ого!"
    "Пока мы с Леной ходили за музыкой, кто-то спустил со сцены все колонки!"
    "Эти колонки были действительно огромными, и кому-то явно пришлось потрудиться!"
    "Кто бы это мог быть? Кроме Слави и Ульянки на эстраде больше никого не было."
    "Мы с Леной подошли к ним."
    show us_demo normal pioneer at left
    show sl_demo normal pioneer at right
    with dissolve
    me "А кто всё это сделал?"
    show sl_demo smile pioneer with dspr
    "Славя смущённо улыбнулась."
    sl "Мы."
    show sl_demo normal pioneer with dspr
    "И, не давая мне произнести готовый сорваться вопрос, — «КАК?!» — попросила:"
    sl "Поможешь перенести их на площадь?"
    "Я только молча кивнул."
    "Ни Лена, ни Ульяна не были удивлены случившимся."
    window hide
    jump abcb_day_3_abcb_work3

label abcb_day_3_work2:
    sl "Тогда я пойду за Леной."
    me "А что мне делать?"
    sl "А ты помоги Ульяне."
    stop music fadeout 2
    th "Что?!"
    play music music_list["i_want_to_play"]
    show us_demo dontlike pioneer at right with dissolve
    "В это время из-за эстрады вышла Ульяна. Остановившись, она хмуро посмотрела на меня, но ничего не сказала."
    sl "Вот, Семён тебе поможет."
    sl "А я скоро приду."
    "Она с сомнением посмотрела на Ульяну."
    sl "Постарайтесь пока ничего не сломать."
    sl "Семён, остаёшься за старшего. Я на тебя рассчитываю!"
    hide sl_demo with dissolve
    "И пошла за Леной. А я остался наедине с…"
    show us_demo normal pioneer with dissolve
    us "Пошли."
    window hide

    scene bg ext_stage_normal_day with dissolve
    show us_demo dontlike pioneer with dissolve
    window show
    "Ульяна явно была не в духе."
    "Обиделась на то, что старшим оставили меня?"
    "Я с улыбкой посмотрел на Ульянку, чувствуя себя главным. {w}Малявка!"
    me "Мммм… Что делать-то нужно?"
    "Ульянка указала на колонки, стоящие на сцене."
    us "Берёшь и ставишь вниз."
    "Она показала пальцем, а сама уселась на скамейку и принялась качать ногой."
    hide us_demo with dissolve
    "Я оглядел сцену…"
    "Ладно! Сейчас мы быстро…"
    "Вот только колонки были большие, и выглядели чересчур массивными."
    "Может, лучше отказаться от этой работы?"
    "Я представил, как Славя и Ульяна вдвоём еле-еле, по сантиметру передвигают огромные колонки…"
    "Ладно! Покажу им свою мужскую силу!"
    "Я взялся за ручки самой большой колонки и заранее представил, как восхищённо охнет Ульянка, видя, что я несу над головой такую громадину."
    me "Ух!"
    "Колонка приподнялась над полом на сантиметр и с грохотом рухнула обратно."
    me "Ох!!!"
    "Сзади раздался предательский смех."
    "Не буду обращать внимания! Лучше попробую колонку поменьше."
    me "А какую из них надо-то?"
    show us_demo laugh pioneer with dissolve
    us "Все, конечно."
    show us_demo laugh2 pioneer with dspr
    "И снова хихикнула."
    hide us_demo with dissolve
    "Во мне проснулась злость."
    "Начнём с самой маленькой!"
    me "Вот так!"
    "Я поднял колонку и, с трудом передвигая ноги, понёс её вниз со сцены."
    "А Ульяна подбадривала меня, сидя на скамейке."
    show us_demo grin pioneer with dissolve
    us "Чего тащишься?"
    us "Давай быстрее!"
    us "Так мы только завтра танцевать начнём!"
    hide us_demo with dissolve
    "Фух! Это было труднее, чем я предполагал!"
    window hide

    scene bg ext_stage_normal_day with fade2
    $ renpy.pause (1)
    window show
    "Прошло довольно много времени, прежде чем я смог спустить вниз половину."
    "Ульянка веселилась и звала меня то черепахой, то гусеницей."
    "А я думал, будет ли похоже на несчастный случай, если я уроню колонку на неё…"
    me "Куда подевалась Славя?"
    show us_demo laugh pioneer with dissolve
    "Ульянка хихикнула."
    us "Ленка, наверное, опять по ошибке в старый лагерь забрела."
    me "Старый лагерь?"
    show us_demo laugh2 pioneer with dspr
    us "Ты таскай-таскай! Чё опять встал?"
    "Но тут как раз пришли Славя и Лена."
    show us_demo grin pioneer at center
    show sl_demo normal pioneer at right
    show un_demo normal pioneer at left
    with dissolve
    sl "Ого! Вы столько сделали!"
    "Она повернулась к Ульянке."
    sl "Я же просила всего две."
    show us_demo fear pioneer:
        xalign 0.5
        linear 1.0 xalign 0.75
    show sl_demo normal pioneer:
        xalign 0.75
    "Ульянка спряталась за Славину спину. {w}Это её спасло."
    sl "Ладно, так даже ещё лучше."
    sl "Теперь перенесём их на площадь."
    show us_demo grin pioneer at right
    show sl_demo normal pioneer at center
    with dissolve
    "Славя с тревогой посмотрела на меня. Я вспотел и задыхался. Всё-таки колонки были дико тяжёлыми."
    sl "Ты, Сёма, лучше отдохни. Мы сами справимся."
    "Но не мог же я стоять и смотреть, как они носят эти громадины!"
    window hide
    $ abcb_d3_us_lp += 1

label abcb_day_3_abcb_work3:
    scene bg ext_square_day with fade2
    window show
    "Почти час мы со Славей таскали колонки."
    "Странно, но она даже не запыхалась."
    if abcb_day_3_notwork == 1:
        "А вот я взмок."
    else:
        pass
    "Лена и Ульяна носили провода и разную мелочь."
    window hide

    scene bg ext_square_day2 with dissolve2
    window show
    "Наконец, мы перенесли последнюю колонку."
    me "Фух!"
    show sl_demo normal pioneer with dissolve
    sl "Спасибо, что помог."
    me "Да не за что…"
    "Я был измотан до последнего."
    sl "Иди умывайся, скоро ужин."
    sl "Остальное мы сами подключим."
    me "Угу."
    hide sl_demo with dissolve
    "Всё, чего я хотел — умыться и упасть на кровать в собственном домике."
    $ abcb_work3 += 1
    "…"
    window hide
    stop ambience fadeout 1
    stop music fadeout 2
    jump abcb_day_3_supper

#Площадь
label abcb_day_3_eventAf_square:
    scene bg ext_square_day with fade
    play ambience ambience_camp_center_day fadein 1
    window show
    "Пусто."
    window hide
    stop ambience fadeout 1
    $ disable_current_zone()
    jump abcb_day_3_mapAf

#Причал
label abcb_day_3_eventAf_boat_station:
    scene bg ext_boathouse_day with fade
    play ambience ambience_boat_station_day fadein 1
    window show
    "Пусто."
    window hide
    stop ambience fadeout 1
    $ disable_current_zone()
    jump abcb_day_3_mapAf

#УЖИН
label abcb_day_3_supper:
    $ abcb_chapter(3, u"Ужин")
    scene bg int_dining_hall_people_day with fade2
    play ambience ambience_dining_hall_full fadein 2
    #ORIGINAL SCENARIO NOTES:
    #"Ужин."
    #"Ничего не происходит, все в предвкушении {size=+10}{b}танцев!!!{/b}{/size}"
    window show
    if abcb_mt_p == 1:
        #ORIGINAL SCENARIO NOTES:
        #"Упс! Утром вы соврали О.Д."
        #"После ужина она напомнит вам об этом и накажет, запретив идти на танцы. Такие дела."
        #"Наслаждайтесь сном."
        "Чёрт, не стоило врать Ольге Дмитриевне утром. Теперь я наказан, и вынужден провести остаток вечера в домике."
        window hide
        jump abcb_dream3
    else:
        pass
    "Столовая была полна народа."
    show dv_demo normal pioneer with dissolve
    "Алиса…"
    hide dv_demo with dissolve
    show sl_demo normal pioneer with dissolve
    extend " Славя…"
    hide sl_demo with dissolve
    show un_demo normal pioneer with dissolve
    extend " Лена…"
    hide un_demo with dissolve
    extend " И все остальные уже были здесь."
    "Кроме Ольги Дмитриевны. Та была на площади."
    "Слава богам, она увлечённо развешивала какие-то гирлянды и не заметила меня, когда я проходил."
    "Я ещё раз оглядел столовую."
    "Наверное, это единственный раз, когда все собрались вовремя."
    "Кроме меня…"
    "Я сел за свободный столик. Но никто даже не обратил на меня внимания."
    "Практически никто не разговаривал. Вокруг стояла почти осязаемая атмосфера возбуждения."
    "Все были в предвкушении танцев."
    window hide

    scene bg int_dining_hall_sunset with dissolve2
    $ sunset_time ()
    $ persistent.sprite_time = "sunset"
    stop ambience fadeout 2
    window show
    "И ужин прошёл быстро. Невероятно быстро."
    window hide

    scene bg ext_dining_hall_near_sunset with fade
    play ambience ambience_camp_center_evening fadein 1
    window show
    "Я вышел из столовой чуть ли не последним, ожидая увидеть на площади столпотворение."
    "И даже продумал план, как мне улизнуть с этого мероприятия."
    "Я мог отсидеться… и отлежаться на пляже."
    "А планом «Б» было пробраться через непроходимые кусты за столовой к умывальникам, а потом рвануть к себе в домик."
    "Но площадь была абсолютно пуста."
    "Все решили сбежать?!"
    "Сам того не замечая, я пошёл вперёд."
    window hide
    stop ambience fadeout 1
    jump abcb_day_3_event

#Вечерний ивент — Танцы
label abcb_day_3_event:
    $ abcb_chapter(3, u"Танцы")
    $ night_time ()
    $ persistent.sprite_time = "night"

    scene bg ext_square_night_party2 with fade2
    play ambience ambience_camp_center_night fadein 2
    play music music_list["lightness"] fadein 2
    window show
    me "Ух!"
    "Ещё когда я шёл на ужин, площадь показалась мне красиво убранной."
    window hide

    scene bg ext_square_night_party with dissolve2
    window show
    "Но сейчас, когда фонарики мигали и переливались, а из колонок"
    if abcb_work3  == 1:
        extend ", которые таскали мы со Славей,"
    else:
        pass
    extend " лилась тихая, спокойная музыка…"
    "Это был просто невообразимо!"
    "И, похоже, так думал не я один."
    "Два октябрёнка то ли танцевали, то ли просто дрыгали руками и ногами. Разницы я не заметил."
    "Но их лица явно выражали удовольствие."
    "Это заставило меня вспомнить…"
    mi "Семён!"
    "Как невовремя! Я огляделся в поисках того, кто меня зовёт."
    "Мику стояла возле столика с аппаратурой, установленного возле статуи Генды. Одной рукой она что-то настраивала, а другой призывно махала мне."
    window hide

    scene bg ext_square_night_party:
        zoom 1.0 xalign 0.5 yalign 0.5
        linear 2.0 zoom 1.5 xalign 0.6 yalign 0.7
    window show
    "Я подошёл к ней."
    show mi_demo smile dress far with dissolve
    "Мику тоже казалась очень радостной."
    mi "Привет."
    mi "А ты почему переодеваться не пошёл?"
    #"Только сейчас я заметил, что большинство пионеров вокруг явно не были одеты в форму."
    "Только сейчас я заметил, что на ней был не обычный пионерский костюм, а лёгкое сине-зелёное платье."
    "Едва прикрывающее коленки и прекрасно обрисовывающее все изгибы её тела…"
    me "Так вот, где все…"
    me "Привет!"
    "Я вспомнил, что у меня было с собой в рюкзаке: свитер и пара запасных брюк с рубашкой…"
    me "Ммм… Мне и так хорошо."
    "Какого чёрта?! Я здесь всё равно не останусь!"
    mi "Ну, как хочешь."
    "Мику с лёгкостью согласилась."
    "Я уже собирался уйти, потому что на площади уже начали собираться пионеры…"
    "Но Мику всё ещё радостно смотрела мне в глаза, как будто чего-то ждала от меня."
    menu:
        "Сказать комплимент":
            me "Эм-м… А тебе очень идёт это платье."
            mi "Спасибо."
            "Мику замялась… и чуть было не свалила усилитель."
            "Он угрожающе накренился на краю стола, готовый упасть."
            show mi_demo normal dress with dspr
            "Мы одновременно бросились его спасать и…"
            window hide

            scene bg ext_square_night_party
            with vpunch
            show mi_demo smile dress close with dspr
            window show
            "Мы стояли так близко друг к другу, что соприкасались бёдрами."
            "Наши руки переплелись…"
            "И я чувствовал своим плечом её упругую грудь с твёрдым, возбуждённо торчащим соском."
            "Она слегка дрожала."
            "Кажется, мы оба порозовели."
            show mi_demo smile dress with dspr
            "В следующее мгновение она отстранилась, а я поставил усилок на место."
            "Несколько секунд мы стояли друг напротив друга, не зная, что сказать."
            "Наконец всё ещё смущённая Мику пробормотала:"
        "Предложить помочь":
            me "Может, тебе помочь?"
            me "У меня дома был похожий усилок."
            "Вот только был ли сам дом…"
            mi "Нет, спасибо."
            "И радостно добавила:"
    mi "А я сегодня буду музыку на танцах ставить."
    mi "Включить для тебя что-нибудь?"
    "Танцы уже начинались."
    "На площади было уже довольно много людей."
    "Надо было уходить, но это была отличная возможность проверить промелькнувшую у меня мысль…"
    "А, ладно! Успею убежать."
    "Осталось решить, что спросить."
    #Примечание: музыка была подобрана, в основном, по советам анонимуса из летотредов, так что тухлыми помидорами просьба не бросаться.
    menu:
        "Scooter":
            $ abcb_d3_track = 'Scooter'
        "Nirvana":
            $ abcb_d3_track = 'Nirvana'
        "Green Day":
            $ abcb_d3_track = 'Green Day'
        "Rick Astley":
            $ abcb_d3_track = 'Rick Astley'
    show mi_demo neutral dress with dspr
    mi "Ммм…"
    "Во мне зажглась надежда."
    me "У вас тоже есть эта группа?!"
    me "То есть ты тоже её знаешь?"
    "Мику покачала головой."
    show mi_demo smile dress with dspr
    mi "Неа, просто название такое смешное."
    mi "Это что-то чешское, да? Вечно они придумают что-нибудь чудное."
    me "Ммм… Да, что-то чешское…"
    "Чёрт! Куда я всё-таки попал?! Да тут даже «%(abcb_d3_track)s» нет!!!"
    mi "Может, что-нибудь другое?"
    "Попробую названия русских групп:"
    menu:
        "Земфира":
            pass
        "Сплин":
            pass
        "Дискотека Авария":
            pass
        "Руки Вверх!":
            pass
    show mi_demo neutral dress with dissolve
    "Мику задумалась."
    mi "Я такой не помню, но…"
    mi "Погоди. Сейчас посмотрю ещё."
    "Она достала блокнот и пролистала его."
    show mi_demo upset dress with dspr
    mi "Нет, не могу найти."
    "Мику выглядела расстроенной."
    mi "А что это за группы?"
    me "Да просто группы…"
    me "Обязательно дам послушать, если найду их диски."
    show mi_demo normal dress with dspr
    mi "Диски? Ты, наверное, имеешь в виду пластинки?"
    me "Эээ… Угу."
    me "Ну ладно, мне уже пора, а то…"
    "Мне на плечо опустилась рука."
    mt "Семён!"
    "Чёрт! Я же собирался улизнуть!!!"
    window hide
    hide mi_demo with dissolve

    scene cg d3_disco with dissolve
    $ renpy.pause (3)

    scene bg ext_square_night_party with dissolve
    window show
    "…"
    window hide
    stop ambience fadeout 3
    stop music fadeout 3

    #ORIGINAL SCENARIO NOTES:
    #$ set_mode_nvl()
    #"Сначала О.Д. зачитает по бумажке текст обращения к пионерам. Текст предварительно испортит Ульянка, так что будет что-то забавное. Потом будут сами танцы. Начинаются они красивым CG, на котором девочки изображены все вместе. Семён стоит сбоку, делает вид, что танцует, и собирается убежать, как только М-тян отойдёт подальше. Но та постоянно где-то недалеко. Ничего не выходит."
    #$nvl_clear()
    #"Семён нервничает и боится того, что он не умеет танцевать, а все об этом узнают. Проходит время. М-тян объявляет белый танец. Семёна приглашает девушка с бОльшим количеством lp."
    #"Славя учит Семёна танцевать."
    #"Ульянка позовёт его и будет всячески издеваться. Наступать на ноги и так далее. Семён тоже не будет просто стоять."
    #"С К-сенсей это будет танец страсти. Здесь будут суммироваться очки 2-3 дней. Это также начало бонуса, ведущего к событию с кубиками льда."
    #"Дваче не позовёт, но подойдёт во время танца поговорить."
    #"Унылка не позовёт вовсе. Её нужно будет позвать самому в следующем круге танцев."
    #$nvl_clear()
    #"После белого танца у Семёна есть выбор: пригласить кого-нибудь или сбежать. Можно попробовать пригласить М-тян, Мику и даже Женю."
    #"После танцев Семён идёт в домик."
    #$ set_mode_adv()

    #Технический блок из оригинального сценария. Кто будет допиливать — убирайте нафиг.
    window show
    "Сейчас идёт подсчёт баллов для того, чтобы определить, будет ли слот."
    "Давайте посмотрим, сколько вы набрали:"
    "Славя: %(abcb_d3_sl_lp)d lp, Ульяна: %(abcb_d3_us_lp)d lp, Лена: %(abcb_d3_un_lp)d lp, Алиса: %(abcb_d3_dv_lp)d lp."
    "Заодно просуммируем полученный результат с результатом предыдущего дня."
    $ abcb_sl_lp += abcb_d3_sl_lp
    $ abcb_us_lp += abcb_d3_us_lp
    $ abcb_un_lp += abcb_d3_un_lp
    $ abcb_dv_lp += abcb_d3_dv_lp

    if abcb_d3_us_lp == 2:
        "Поздравляю! Вы получили 2 lp Ульяны и теперь попадёте на слот."
        jump abcb_day_3_slot_us
    else:
        pass
    if abcb_d3_un_lp == 2:
        "Поздравляю! Вы получили 2 lp Лены и теперь попадёте на слот."
        jump abcb_day_3_slot_un
    else:
        pass
    if abcb_d3_sl_lp >= 2:
        "Поздравляю! Вы получили 2(или больше) lp Слави и теперь попадёте на слот."
        jump abcb_day_3_slot_sl
    else:
        pass
    if abcb_d3_dv_lp == 2:
        "Поздравляю! Вы получили 2 lp Алисы и теперь попадёте на слот."
        jump abcb_day_3_slot_dv
    else:
        pass
    window hide
    jump abcb_dream3

#Слоты и/или сон, а потом новый день
label abcb_day_3_slot_us:
    show us_demo grin dress with dissolve
    "Слот Ульянки. Поздравляю!!!"
    hide us_demo with dissolve
    "Надеюсь, вам понравилось."
    "…"
    window hide
    jump abcb_day_4_start

label abcb_day_3_slot_un:
    show un_demo shy dress with dissolve
    "Слот Лены. Поздравляю!!!"
    hide un_demo with dissolve
    "Надеюсь, вам понравилось."
    "…"
    window hide
    jump abcb_day_4_start

label abcb_day_3_slot_dv:
    show dv_demo smile dress with dissolve
    "Слот Дваче. Поздравляю!!!"
    hide dv_demo with dissolve
    "Надеюсь, вам понравилось."
    "…"
    window hide
    jump abcb_day_4_start

label abcb_day_3_slot_sl:
    show sl_demo smile dress with dissolve
    "Слот Слави. Поздравляю!!!"
    hide sl_demo
    "Надеюсь, вам понравилось."
    "…"
    window hide
    jump abcb_day_4_start

label abcb_dream3:
    scene bg int_house_of_mt_night2 with fade
    window show
    "Вы не выиграли слот. Может, повезёт в следующий раз."
    "Сон и начало следующего дня."
    window hide

    scene bg black with fade
    window show
    "Надеюсь, вам понравилось."
    "…"
    window hide
    jump abcb_day_4_start